Debian Bug report logs - #600155
linux-image-2.6.32-5-486: Kernel panic on avahi-daemon IPv6 activity

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Jason Heeris <jason.heeris@gmail.com>

Date: Thu, 14 Oct 2010 02:42:02 UTC

Severity: normal

Tags: pending

Found in version 2.6.32-23

Fixed in versions linux-2.6/2.6.32-26, linux-2.6/2.6.26-26

Done: dann frazier <dannf@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.kernel.org/show_bug.cgi?id=15355

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600155; Package linux-2.6. (Thu, 14 Oct 2010 02:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jason Heeris <jason.heeris@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 14 Oct 2010 02:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jason Heeris <jason.heeris@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.32-5-486: Kernel panic on avahi-daemon IPv6 activity
Date: Thu, 14 Oct 2010 10:38:26 +0800
[Message part 1 (text/plain, inline)]
Package: linux-2.6
Version: 2.6.32-23
Severity: normal

My system is a Helios single-board computer, with specs:

CPU: Vortex86 SoC (800MHz) - according to Diamond Systems, "a 486
class pre-pentium integrated circuit"
RAM: 256MB
Storage: 4GB compact flash (I disabled write caching for this)
Swap: partitioned, about 236MB (just what the installer recommended)
Kernel: 2.6.32-5-486
Debian: Squeeze (from installer daily build, updated after install)

When I install avahi-daemon, I get a kernel panic. I have attached a
log of a serial session reproducing this. The log also contains lspci
and ifconfig output, but here is the ethernet controller line:

    00:08.0 Ethernet controller: RDC Semiconductor, Inc. R6040 MAC Controller

It seems to be related to IPv6, because if I boot with
"ipv6.disable=1", there is no crash. It also does not happen with
linux-image-2.6.36-rc6-486 from experimental. I took an image of the
CF contents before doing this, but I can't reproduce this under qemu.

I have another kernel built from the same config file as
linux-image-2.6.32-5-486 but with the debugging package built as well;
let me know if you want me to repeat it all with that.

-- Package-specific info:
** Version:
Linux version 2.6.32-5-486 (Debian 2.6.32-23) (dannf@debian.org) (gcc
version 4.3.5 (Debian 4.3.5-3) ) #1 Sat Sep 18 01:43:00 UTC 2010

** Command line:
BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-486
root=UUID=5b129c11-e746-45ea-908d-15cd22ee702a ro pnpbios=off
console=tty0 console=ttyS0,115200n8

** Not tainted

** Kernel log:
[    6.173121] registered taskstats version 1
[    6.178248] rtc_cmos rtc_cmos: setting system clock to 2010-10-13
10:11:51 UTC (1286964711)
[    6.186972] Initalizing network drop monitor service
[    6.192359] Freeing unused kernel memory: 436k freed
[    6.200082] Write protecting the kernel text: 2336k
[    6.205268] Write protecting the kernel read-only data: 892k
[    6.378050] udev: starting version 160
[    7.277146] usbcore: registered new interface driver usbfs
[    7.570128] usbcore: registered new interface driver hub
[    7.577875] usbcore: registered new device driver usb
[    7.609252] SCSI subsystem initialized
[    7.658487] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    7.702737] ehci_hcd 0000:00:0a.1: EHCI Host Controller
[    7.709626] ehci_hcd 0000:00:0a.1: new USB bus registered, assigned
bus number 1
[    7.740958] ehci_hcd 0000:00:0a.1: irq 15, io mem 0x10022000
[    8.099943] libata version 3.00 loaded.
[    8.147138] ehci_hcd 0000:00:0a.1: USB 2.0 started, EHCI 1.00
[    8.154539] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[    8.161510] usb usb1: New USB device strings: Mfr=3, Product=2,
SerialNumber=1
[    8.168862] usb usb1: Product: EHCI Host Controller
[    8.173848] usb usb1: Manufacturer: Linux 2.6.32-5-486 ehci_hcd
[    8.179887] usb usb1: SerialNumber: 0000:00:0a.1
[    8.185991] usb usb1: configuration #1 chosen from 1 choice
[    8.192585] hub 1-0:1.0: USB hub found
[    8.197178] hub 1-0:1.0: 2 ports detected
[    8.204376] r6040: RDC R6040 NAPI net driver,version 0.25 (20Aug2009)
[    8.224507] scsi0 : pata_it821x
[    8.231691] scsi1 : pata_it821x
[    8.236267] ata1: PATA max UDMA/133 cmd 0x1f0 ctl 0x3f4 bmdma 0xfff0 irq 14
[    8.243433] ata2: PATA max UDMA/133 cmd 0x170 ctl 0x374 bmdma 0xfff8 irq 14
[    8.250908] ehci_hcd 0000:00:0b.1: EHCI Host Controller
[    8.258997] ehci_hcd 0000:00:0b.1: new USB bus registered, assigned
bus number 2
[    8.288737] ehci_hcd 0000:00:0b.1: irq 9, io mem 0x10022100
[    8.305311] ehci_hcd 0000:00:0b.1: USB 2.0 started, EHCI 1.00
[    8.311396] usb usb2: New USB device found, idVendor=1d6b, idProduct=0002
[    8.318352] usb usb2: New USB device strings: Mfr=3, Product=2,
SerialNumber=1
[    8.325720] usb usb2: Product: EHCI Host Controller
[    8.330712] usb usb2: Manufacturer: Linux 2.6.32-5-486 ehci_hcd
[    8.336742] usb usb2: SerialNumber: 0000:00:0b.1
[    8.344065] usb usb2: configuration #1 chosen from 1 choice
[    8.350637] hub 2-0:1.0: USB hub found
[    8.354636] hub 2-0:1.0: 2 ports detected
[    8.477287] ata1.00: CFA: 4GB ATA Flash Disk, AD B612J, max UDMA/66
[    8.483732] ata1.00: 8000496 sectors, multi 0: LBA
[    8.488859] ata1.00: limited to UDMA/33 due to 40-wire cable
[    8.499842] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    8.507711] ohci_hcd 0000:00:0a.0: OHCI Host Controller
[    8.513640] ata1.00: configured for UDMA/33
[    8.518765] scsi 0:0:0:0: Direct-Access     ATA      4GB ATA Flash
Di AD B PQ: 0 ANSI: 5
[    8.527180] ohci_hcd 0000:00:0a.0: new USB bus registered, assigned
bus number 3
[    8.537688] ohci_hcd 0000:00:0a.0: irq 6, io mem 0x10020000
[    8.628373] usb usb3: New USB device found, idVendor=1d6b, idProduct=0001
[    8.635348] usb usb3: New USB device strings: Mfr=3, Product=2,
SerialNumber=1
[    8.642699] usb usb3: Product: OHCI Host Controller
[    8.647681] usb usb3: Manufacturer: Linux 2.6.32-5-486 ohci_hcd
[    8.653708] usb usb3: SerialNumber: 0000:00:0a.0
[    8.659713] usb usb3: configuration #1 chosen from 1 choice
[    8.666282] hub 3-0:1.0: USB hub found
[    8.670282] hub 3-0:1.0: 2 ports detected
[    8.674934] ohci_hcd 0000:00:0b.0: OHCI Host Controller
[    8.681809] ohci_hcd 0000:00:0b.0: new USB bus registered, assigned
bus number 4
[    8.689516] ohci_hcd 0000:00:0b.0: irq 5, io mem 0x10021000
[    8.756778] Clocksource tsc unstable (delta = 72079157 ns)
[    8.788527] Switching to clocksource pit
[    8.897646] usb usb4: New USB device found, idVendor=1d6b, idProduct=0001
[    8.904645] usb usb4: New USB device strings: Mfr=3, Product=2,
SerialNumber=1
[    8.908588] usb usb4: Product: OHCI Host Controller
[    8.911985] usb usb4: Manufacturer: Linux 2.6.32-5-486 ohci_hcd
[    8.915051] usb usb4: SerialNumber: 0000:00:0b.0
[    8.921218] usb usb4: configuration #1 chosen from 1 choice
[    8.927804] hub 4-0:1.0: USB hub found
[    8.931817] hub 4-0:1.0: 2 ports detected
[    8.953366] sd 0:0:0:0: [sda] 8000496 512-byte logical blocks:
(4.09 GB/3.81 GiB)
[    8.967940] sd 0:0:0:0: [sda] Write Protect is off
[    8.968952] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    8.976497] sd 0:0:0:0: [sda] Write cache: enabled, read cache:
enabled, doesn't support DPO or FUA
[    8.997519]  sda: sda1 sda2 < sda5 >
[    9.025930] sd 0:0:0:0: [sda] Attached SCSI disk
[    9.390135] PM: Starting manual resume from disk
[    9.394945] PM: Resume from partition 8:5
[    9.394961] PM: Checking hibernation image.
[    9.395904] PM: Error -22 checking image file
[    9.395925] PM: Resume from disk failed.
[    9.671618] EXT3-fs: INFO: recovery required on readonly filesystem.
[    9.675417] EXT3-fs: write access will be enabled during recovery.
[   12.324271] kjournald starting.  Commit interval 5 seconds
[   12.327899] EXT3-fs: recovery complete.
[   12.380094] EXT3-fs: mounted filesystem with ordered data mode.
[   13.308709] udev: starting version 160
[   15.299313] input: PC Speaker as /devices/platform/pcspkr/input/input1
[   15.304406] PCSP: Timer resolution is not sufficient (4000250nS)
[   15.306594] PCSP: Make sure you have HPET and ACPI enabled.
[   15.312306] PC-Speaker initialization failed.
[   15.316267] pcspkr: probe of pcspkr failed with error -5
[   15.339171] Error: Driver 'pcspkr' is already registered, aborting...
[   16.607145] Adding 231416k swap on /dev/sda5.  Priority:-1
extents:1 across:231416k
[   16.845315] EXT3 FS on sda1, internal journal
[   17.329473] loop: module loaded
[   19.617326] eth0: link up, 100Mbps, half-duplex, lpa 0x40A1
[   30.582013] eth0: no IPv6 routers present

** Model information
not available

** Loaded modules:
Module                  Size  Used by
loop                    9569  0
snd_pcsp                5185  0
snd_pcm                46098  1 snd_pcsp
snd_timer              12292  1 snd_pcm
snd                    34102  3 snd_pcsp,snd_pcm,snd_timer
soundcore               3294  1 snd
serio_raw               2912  0
snd_page_alloc          5021  1 snd_pcm
psmouse                48410  0
evdev                   5520  1
ext3                   92740  1
jbd                    27954  1 ext3
mbcache                 3482  1 ext3
sd_mod                 25825  3
crc_t10dif              1012  1 sd_mod
ohci_hcd               17072  0
pata_it821x             6574  2
libata                117275  1 pata_it821x
r6040                   8164  0
ehci_hcd               27989  0
scsi_mod              102265  2 sd_mod,libata
usbcore                98145  3 ohci_hcd,ehci_hcd
mii                     2654  1 r6040
nls_base                4445  1 usbcore

** Network interface configuration:
# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

# The primary network interface
allow-hotplug eth0
iface eth0 inet dhcp

** Network status:
*** IP interfaces and addresses:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast
state UNKNOWN qlen 1000
    link/ether 00:1b:eb:69:08:e4 brd ff:ff:ff:ff:ff:ff
    inet 192.168.1.54/24 brd 192.168.1.255 scope global eth0
    inet6 fe80::21b:ebff:fe69:8e4/64 scope link
       valid_lft forever preferred_lft forever

*** Device statistics:
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed
multicast|bytes    packets errs drop fifo colls carrier compressed
    lo:       0       0    0    0    0     0          0         0
  0       0    0    0    0     0       0          0
  eth0:   45939     420    0    0    0     0          0         2
3339      36    0    0    0     0       0          0

*** Protocol statistics:
Ip:
    360 total packets received
    1 with invalid addresses
    0 forwarded
    0 incoming packets discarded
    359 incoming packets delivered
    26 requests sent out
Icmp:
    0 ICMP messages received
    0 input ICMP message failed.
    ICMP input histogram:
    0 ICMP messages sent
    0 ICMP messages failed
    ICMP output histogram:
Tcp:
    3 active connections openings
    0 passive connection openings
    0 failed connection attempts
    0 connection resets received
    0 connections established
    17 segments received
    18 segments send out
    0 segments retransmited
    0 bad segments received.
    3 resets sent
Udp:
    8 packets received
    0 packets to unknown port received.
    0 packet receive errors
    8 packets sent
UdpLite:
TcpExt:
    3 packet headers predicted
    6 acknowledgments not containing data payload received
IpExt:
    InMcastPkts: 2
    InBcastPkts: 332
    InOctets: 37295
    OutOctets: 2039
    InMcastOctets: 64
    InBcastOctets: 25397

*** Device features:
eth0: 0x0
lo: 0x13865

** PCI devices:
00:00.0 Host bridge [0600]: RDC Semiconductor, Inc. R6021 Host Bridge
[17f3:6021] (rev 01)
	Control: I/O- Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0

00:04.0 VGA compatible controller [0300]: XGI Technology Inc. (eXtreme
Graphics Innovation) Z7/Z9 (XG20 core) [18ca:0020] (prog-if 00 [VGA
controller])
	Subsystem: XGI Technology Inc. (eXtreme Graphics Innovation) Z7/Z9
(XG20 core) [18ca:0020]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
	BIST result: 00
	Region 0: Memory at f8000000 (32-bit, prefetchable) [size=64M]
	Region 1: Memory at fefc0000 (32-bit, non-prefetchable) [size=256K]
	Region 2: I/O ports at ef80 [size=128]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [40] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-

00:07.0 ISA bridge [0601]: RDC Semiconductor, Inc. R6031 ISA Bridge
[17f3:6031] (rev 01)
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=?? >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:08.0 Ethernet controller [0200]: RDC Semiconductor, Inc. R6040 MAC
Controller [17f3:6040]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (750ns min, 2000ns max)
	Interrupt: pin A routed to IRQ 9
	Region 0: I/O ports at ee00 [size=256]
	Region 1: Memory at fefbb400 (32-bit, non-prefetchable) [size=256]
	Expansion ROM at fefa0000 [disabled] [size=64K]
	Kernel driver in use: r6040

00:0a.0 USB Controller [0c03]: RDC Semiconductor, Inc. R6060 USB 1.1
Controller [17f3:6060] (rev 11) (prog-if 10 [OHCI])
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 6
	Region 0: Memory at 10020000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:0a.1 USB Controller [0c03]: RDC Semiconductor, Inc. R6061 USB 2.0
Controller [17f3:6061] (rev 02) (prog-if 20 [EHCI])
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 32 bytes
	Interrupt: pin B routed to IRQ 15
	Region 0: Memory at 10022000 (32-bit, non-prefetchable) [size=256]
	Kernel driver in use: ehci_hcd

00:0b.0 USB Controller [0c03]: RDC Semiconductor, Inc. R6060 USB 1.1
Controller [17f3:6060] (rev 11) (prog-if 10 [OHCI])
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 5
	Region 0: Memory at 10021000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:0b.1 USB Controller [0c03]: RDC Semiconductor, Inc. R6061 USB 2.0
Controller [17f3:6061] (rev 02) (prog-if 20 [EHCI])
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 32 bytes
	Interrupt: pin B routed to IRQ 9
	Region 0: Memory at 10022100 (32-bit, non-prefetchable) [size=256]
	Kernel driver in use: ehci_hcd

00:0c.0 Mass storage controller [0180]: RDC Semiconductor, Inc. R1010
IDE Controller [17f3:1010] (rev 13)
	Subsystem: RDC Semiconductor, Inc. R1010 IDE Controller [17f3:1010]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (2000ns min, 2000ns max)
	Interrupt: pin A routed to IRQ 14
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=4]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=4]
	Region 4: I/O ports at fff0 [size=16]
	[virtual] Expansion ROM at 10000000 [disabled] [size=128K]
	Capabilities: [80] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: pata_it821x


** USB devices:
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i586)

Kernel: Linux 2.6.32-5-486
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.32-5-486 depends on:
ii  debconf [debconf-2.0]         1.5.35     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.98.4     tools for generating an initramfs
ii  linux-base                    2.6.32-23  Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-5-486 recommends:
pn  firmware-linux-free           <none>     (no description available)

Versions of packages linux-image-2.6.32-5-486 suggests:
pn  grub | lilo                   <none>     (no description available)
pn  linux-doc-2.6.32              <none>     (no description available)

Versions of packages linux-image-2.6.32-5-486 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  linux-image-2.6.32-5-486/prerm/removing-running-kernel-2.6.32-5-486: true
  linux-image-2.6.32-5-486/postinst/ignoring-do-bootloader-2.6.32-5-486:
  linux-image-2.6.32-5-486/postinst/depmod-error-initrd-2.6.32-5-486: false
  linux-image-2.6.32-5-486/postinst/missing-firmware-2.6.32-5-486:
[2.6.32-5-486-crash.log (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600155; Package linux-2.6. (Fri, 15 Oct 2010 02:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 15 Oct 2010 02:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 600155@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Jason Heeris <jason.heeris@gmail.com>, 600155@bugs.debian.org
Subject: Re: Bug#600155: linux-image-2.6.32-5-486: Kernel panic on avahi-daemon IPv6 activity
Date: Fri, 15 Oct 2010 03:20:07 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2010-10-14 at 10:38 +0800, Jason Heeris wrote:
> Package: linux-2.6
> Version: 2.6.32-23
> Severity: normal
> 
> My system is a Helios single-board computer, with specs:
> 
> CPU: Vortex86 SoC (800MHz) - according to Diamond Systems, "a 486
> class pre-pentium integrated circuit"
> RAM: 256MB
> Storage: 4GB compact flash (I disabled write caching for this)
> Swap: partitioned, about 236MB (just what the installer recommended)
> Kernel: 2.6.32-5-486
> Debian: Squeeze (from installer daily build, updated after install)
> 
> When I install avahi-daemon, I get a kernel panic. I have attached a
> log of a serial session reproducing this. The log also contains lspci
> and ifconfig output, but here is the ethernet controller line:
> 
>     00:08.0 Ethernet controller: RDC Semiconductor, Inc. R6040 MAC Controller
> 
> It seems to be related to IPv6, because if I boot with
> "ipv6.disable=1", there is no crash. It also does not happen with
> linux-image-2.6.36-rc6-486 from experimental. I took an image of the
> CF contents before doing this, but I can't reproduce this under qemu.

This is a bug in the r6040 driver.  It doesn't correctly handle more
than 4 multicast addresses, and when Avahi uses both IPv4 and IPv6 then
it exceeds that limit - the log you sent shows that there are 5.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'https://bugzilla.kernel.org/show_bug.cgi?id=15355'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 15 Oct 2010 03:12:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600155; Package linux-2.6. (Fri, 15 Oct 2010 03:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 15 Oct 2010 03:39:03 GMT) Full text and rfc822 format available.

Message #17 received at 600155@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: stable@kernel.org, Florian Fainelli <florian@openwrt.org>
Cc: David Miller <davem@davemloft.net>, spamalot@hispeed.ch, Jason Heeris <jason.heeris@gmail.com>, 600155@bugs.debian.org
Subject: [PATCH 2/2] r6040: Fix multicast list iteration when hash filter is used
Date: Fri, 15 Oct 2010 04:36:53 +0100
After walking the multicast list to set up the hash filter, this
function will walk off the end of the list when filling the
exact-match entries.  This was fixed in mainline by the interface
change made in commit f9dcbcc9e338d08c0f7de7eba4eaafbbb7f81249.

Reported-by: spamalot@hispeed.ch
Reference: https://bugzilla.kernel.org/show_bug.cgi?id=15355
Reported-by: Jason Heeris <jason.heeris@gmail.com>
Reference: http://bugs.debian.org/600155
Signed-off-by: Ben Hutchings <ben@decadent.org.uk>
---
This is for stable series 2.6.27.y and 2.6.32.y only.  It is
compile-tested only.

Ben.

 drivers/net/r6040.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/drivers/net/r6040.c b/drivers/net/r6040.c
index ac865e1..9ee9f01 100644
--- a/drivers/net/r6040.c
+++ b/drivers/net/r6040.c
@@ -992,6 +992,7 @@ static void r6040_multicast_list(struct net_device *dev)
 		iowrite16(hash_table[3], ioaddr + MAR3);
 	}
 	/* Multicast Address 1~4 case */
+	dmi = dev->mc_list;
 	for (i = 0, dmi; (i < dev->mc_count) && (i < MCAST_MAX); i++) {
 		adrp = (u16 *)dmi->dmi_addr;
 		iowrite16(adrp[0], ioaddr + MID_1L + 8*i);
-- 
1.7.1






Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Tue, 19 Oct 2010 12:12:03 GMT) Full text and rfc822 format available.

Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Tue, 19 Oct 2010 23:18:15 GMT) Full text and rfc822 format available.

Notification sent to Jason Heeris <jason.heeris@gmail.com>:
Bug acknowledged by developer. (Tue, 19 Oct 2010 23:18:15 GMT) Full text and rfc822 format available.

Message #24 received at 600155-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 600155-close@bugs.debian.org
Subject: Bug#600155: fixed in linux-2.6 2.6.32-26
Date: Tue, 19 Oct 2010 23:14:30 +0000
Source: linux-2.6
Source-Version: 2.6.32-26

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.32-26_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.32-26_all.deb
linux-2.6_2.6.32-26.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.32-26.diff.gz
linux-2.6_2.6.32-26.dsc
  to main/l/linux-2.6/linux-2.6_2.6.32-26.dsc
linux-base_2.6.32-26_all.deb
  to main/l/linux-2.6/linux-base_2.6.32-26_all.deb
linux-doc-2.6.32_2.6.32-26_all.deb
  to main/l/linux-2.6/linux-doc-2.6.32_2.6.32-26_all.deb
linux-headers-2.6.32-5-486_2.6.32-26_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-486_2.6.32-26_i386.deb
linux-headers-2.6.32-5-686-bigmem_2.6.32-26_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-686-bigmem_2.6.32-26_i386.deb
linux-headers-2.6.32-5-686_2.6.32-26_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-686_2.6.32-26_i386.deb
linux-headers-2.6.32-5-all-i386_2.6.32-26_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-all-i386_2.6.32-26_i386.deb
linux-headers-2.6.32-5-all_2.6.32-26_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-all_2.6.32-26_i386.deb
linux-headers-2.6.32-5-amd64_2.6.32-26_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-amd64_2.6.32-26_i386.deb
linux-headers-2.6.32-5-common-openvz_2.6.32-26_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-openvz_2.6.32-26_i386.deb
linux-headers-2.6.32-5-common-vserver_2.6.32-26_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-vserver_2.6.32-26_i386.deb
linux-headers-2.6.32-5-common-xen_2.6.32-26_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-xen_2.6.32-26_i386.deb
linux-headers-2.6.32-5-common_2.6.32-26_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common_2.6.32-26_i386.deb
linux-headers-2.6.32-5-openvz-686_2.6.32-26_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-openvz-686_2.6.32-26_i386.deb
linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-26_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-26_i386.deb
linux-headers-2.6.32-5-vserver-686_2.6.32-26_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-vserver-686_2.6.32-26_i386.deb
linux-headers-2.6.32-5-xen-686_2.6.32-26_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-xen-686_2.6.32-26_i386.deb
linux-image-2.6.32-5-486_2.6.32-26_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-486_2.6.32-26_i386.deb
linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-26_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-26_i386.deb
linux-image-2.6.32-5-686-bigmem_2.6.32-26_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-686-bigmem_2.6.32-26_i386.deb
linux-image-2.6.32-5-686_2.6.32-26_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-686_2.6.32-26_i386.deb
linux-image-2.6.32-5-amd64_2.6.32-26_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-amd64_2.6.32-26_i386.deb
linux-image-2.6.32-5-openvz-686-dbg_2.6.32-26_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-openvz-686-dbg_2.6.32-26_i386.deb
linux-image-2.6.32-5-openvz-686_2.6.32-26_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-openvz-686_2.6.32-26_i386.deb
linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-26_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-26_i386.deb
linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-26_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-26_i386.deb
linux-image-2.6.32-5-vserver-686_2.6.32-26_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-686_2.6.32-26_i386.deb
linux-image-2.6.32-5-xen-686-dbg_2.6.32-26_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-xen-686-dbg_2.6.32-26_i386.deb
linux-image-2.6.32-5-xen-686_2.6.32-26_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-xen-686_2.6.32-26_i386.deb
linux-libc-dev_2.6.32-26_i386.deb
  to main/l/linux-2.6/linux-libc-dev_2.6.32-26_i386.deb
linux-manual-2.6.32_2.6.32-26_all.deb
  to main/l/linux-2.6/linux-manual-2.6.32_2.6.32-26_all.deb
linux-patch-debian-2.6.32_2.6.32-26_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.32_2.6.32-26_all.deb
linux-source-2.6.32_2.6.32-26_all.deb
  to main/l/linux-2.6/linux-source-2.6.32_2.6.32-26_all.deb
linux-support-2.6.32-5_2.6.32-26_all.deb
  to main/l/linux-2.6/linux-support-2.6.32-5_2.6.32-26_all.deb
linux-tools-2.6.32_2.6.32-26_i386.deb
  to main/l/linux-2.6/linux-tools-2.6.32_2.6.32-26_i386.deb
xen-linux-system-2.6.32-5-xen-686_2.6.32-26_i386.deb
  to main/l/linux-2.6/xen-linux-system-2.6.32-5-xen-686_2.6.32-26_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 600155@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 19 Oct 2010 07:50:55 -0600
Source: linux-2.6
Binary: linux-tools-2.6.32 linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-5 linux-base linux-libc-dev linux-headers-2.6.32-5-all linux-headers-2.6.32-5-all-alpha linux-headers-2.6.32-5-common linux-image-2.6.32-5-alpha-generic linux-headers-2.6.32-5-alpha-generic linux-image-2.6.32-5-alpha-smp linux-headers-2.6.32-5-alpha-smp linux-image-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-all-amd64 linux-image-2.6.32-5-amd64 linux-headers-2.6.32-5-amd64 linux-image-2.6.32-5-amd64-dbg linux-headers-2.6.32-5-common-openvz linux-image-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-openvz-amd64 linux-image-2.6.32-5-openvz-amd64-dbg linux-headers-2.6.32-5-common-vserver linux-image-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-vserver-amd64 linux-image-2.6.32-5-vserver-amd64-dbg linux-headers-2.6.32-5-common-xen linux-image-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64-dbg xen-linux-system-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-all-armel linux-image-2.6.32-5-iop32x linux-headers-2.6.32-5-iop32x linux-image-2.6.32-5-ixp4xx linux-headers-2.6.32-5-ixp4xx linux-image-2.6.32-5-kirkwood linux-headers-2.6.32-5-kirkwood linux-image-2.6.32-5-orion5x linux-headers-2.6.32-5-orion5x linux-image-2.6.32-5-versatile linux-headers-2.6.32-5-versatile linux-headers-2.6.32-5-all-hppa linux-image-2.6.32-5-parisc linux-headers-2.6.32-5-parisc linux-image-2.6.32-5-parisc-smp linux-headers-2.6.32-5-parisc-smp linux-image-2.6.32-5-parisc64 linux-headers-2.6.32-5-parisc64 linux-image-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-all-i386 linux-image-2.6.32-5-486 linux-headers-2.6.32-5-486 linux-image-2.6.32-5-686 linux-headers-2.6.32-5-686 linux-image-2.6.32-5-686-bigmem linux-headers-2.6.32-5-686-bigmem linux-image-2.6.32-5-686-bigmem-dbg linux-image-2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-686 linux-image-2.6.32-5-openvz-686-dbg linux-image-2.6.32-5-vserver-686 linux-headers-2.6.32-5-vserver-686 linux-image-2.6.32-5-vserver-686-bigmem linux-headers-2.6.32-5-vserver-686-bigmem linux-image-2.6.32-5-vserver-686-bigmem-dbg linux-image-2.6.32-5-xen-686 linux-headers-2.6.32-5-xen-686 linux-image-2.6.32-5-xen-686-dbg xen-linux-system-2.6.32-5-xen-686 linux-headers-2.6.32-5-all-ia64 linux-image-2.6.32-5-itanium linux-headers-2.6.32-5-itanium linux-image-2.6.32-5-mckinley linux-headers-2.6.32-5-mckinley linux-image-2.6.32-5-vserver-itanium linux-headers-2.6.32-5-vserver-itanium linux-image-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-all-m68k linux-image-2.6.32-5-amiga linux-headers-2.6.32-5-amiga linux-image-2.6.32-5-atari linux-headers-2.6.32-5-atari linux-image-2.6.32-5-bvme6000 linux-headers-2.6.32-5-bvme6000 linux-image-2.6.32-5-mac linux-headers-2.6.32-5-mac
 linux-image-2.6.32-5-mvme147 linux-headers-2.6.32-5-mvme147 linux-image-2.6.32-5-mvme16x linux-headers-2.6.32-5-mvme16x linux-headers-2.6.32-5-all-mips linux-image-2.6.32-5-r4k-ip22 linux-headers-2.6.32-5-r4k-ip22 linux-image-2.6.32-5-r5k-ip32 linux-headers-2.6.32-5-r5k-ip32 linux-image-2.6.32-5-sb1-bcm91250a linux-headers-2.6.32-5-sb1-bcm91250a linux-image-2.6.32-5-sb1a-bcm91480b linux-headers-2.6.32-5-sb1a-bcm91480b linux-image-2.6.32-5-4kc-malta linux-headers-2.6.32-5-4kc-malta linux-image-2.6.32-5-5kc-malta linux-headers-2.6.32-5-5kc-malta linux-headers-2.6.32-5-all-mipsel linux-image-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-all-powerpc linux-image-2.6.32-5-powerpc linux-headers-2.6.32-5-powerpc linux-image-2.6.32-5-powerpc-smp linux-headers-2.6.32-5-powerpc-smp linux-image-2.6.32-5-powerpc64 linux-headers-2.6.32-5-powerpc64 linux-image-2.6.32-5-vserver-powerpc linux-headers-2.6.32-5-vserver-powerpc
 linux-image-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-all-s390 linux-image-2.6.32-5-s390x linux-headers-2.6.32-5-s390x linux-image-2.6.32-5-s390x-tape linux-image-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-all-sh4 linux-image-2.6.32-5-sh7751r linux-headers-2.6.32-5-sh7751r linux-image-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-all-sparc linux-image-2.6.32-5-sparc64 linux-headers-2.6.32-5-sparc64 linux-image-2.6.32-5-sparc64-smp linux-headers-2.6.32-5-sparc64-smp linux-image-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-all-sparc64
Architecture: source all i386
Version: 2.6.32-26
Distribution: unstable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-5-486 - Header files for Linux 2.6.32-5-486
 linux-headers-2.6.32-5-4kc-malta - Header files for Linux 2.6.32-5-4kc-malta
 linux-headers-2.6.32-5-5kc-malta - Header files for Linux 2.6.32-5-5kc-malta
 linux-headers-2.6.32-5-686 - Header files for Linux 2.6.32-5-686
 linux-headers-2.6.32-5-686-bigmem - Header files for Linux 2.6.32-5-686-bigmem
 linux-headers-2.6.32-5-all - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-alpha - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-amd64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-armel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-hppa - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-i386 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-ia64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-m68k - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mips - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mipsel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-powerpc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-s390 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sh4 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-alpha-generic - Header files for Linux 2.6.32-5-alpha-generic
 linux-headers-2.6.32-5-alpha-legacy - Header files for Linux 2.6.32-5-alpha-legacy
 linux-headers-2.6.32-5-alpha-smp - Header files for Linux 2.6.32-5-alpha-smp
 linux-headers-2.6.32-5-amd64 - Header files for Linux 2.6.32-5-amd64
 linux-headers-2.6.32-5-amiga - Header files for Linux 2.6.32-5-amiga
 linux-headers-2.6.32-5-atari - Header files for Linux 2.6.32-5-atari
 linux-headers-2.6.32-5-bvme6000 - Header files for Linux 2.6.32-5-bvme6000
 linux-headers-2.6.32-5-common - Common header files for Linux 2.6.32-5
 linux-headers-2.6.32-5-common-openvz - Common header files for Linux 2.6.32-5-openvz
 linux-headers-2.6.32-5-common-vserver - Common header files for Linux 2.6.32-5-vserver
 linux-headers-2.6.32-5-common-xen - Common header files for Linux 2.6.32-5-xen
 linux-headers-2.6.32-5-iop32x - Header files for Linux 2.6.32-5-iop32x
 linux-headers-2.6.32-5-itanium - Header files for Linux 2.6.32-5-itanium
 linux-headers-2.6.32-5-ixp4xx - Header files for Linux 2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-kirkwood - Header files for Linux 2.6.32-5-kirkwood
 linux-headers-2.6.32-5-mac - Header files for Linux 2.6.32-5-mac
 linux-headers-2.6.32-5-mckinley - Header files for Linux 2.6.32-5-mckinley
 linux-headers-2.6.32-5-mvme147 - Header files for Linux 2.6.32-5-mvme147
 linux-headers-2.6.32-5-mvme16x - Header files for Linux 2.6.32-5-mvme16x
 linux-headers-2.6.32-5-openvz-686 - Header files for Linux 2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-amd64 - Header files for Linux 2.6.32-5-openvz-amd64
 linux-headers-2.6.32-5-orion5x - Header files for Linux 2.6.32-5-orion5x
 linux-headers-2.6.32-5-parisc - Header files for Linux 2.6.32-5-parisc
 linux-headers-2.6.32-5-parisc-smp - Header files for Linux 2.6.32-5-parisc-smp
 linux-headers-2.6.32-5-parisc64 - Header files for Linux 2.6.32-5-parisc64
 linux-headers-2.6.32-5-parisc64-smp - Header files for Linux 2.6.32-5-parisc64-smp
 linux-headers-2.6.32-5-powerpc - Header files for Linux 2.6.32-5-powerpc
 linux-headers-2.6.32-5-powerpc-smp - Header files for Linux 2.6.32-5-powerpc-smp
 linux-headers-2.6.32-5-powerpc64 - Header files for Linux 2.6.32-5-powerpc64
 linux-headers-2.6.32-5-r4k-ip22 - Header files for Linux 2.6.32-5-r4k-ip22
 linux-headers-2.6.32-5-r5k-cobalt - Header files for Linux 2.6.32-5-r5k-cobalt
 linux-headers-2.6.32-5-r5k-ip32 - Header files for Linux 2.6.32-5-r5k-ip32
 linux-headers-2.6.32-5-s390x - Header files for Linux 2.6.32-5-s390x
 linux-headers-2.6.32-5-sb1-bcm91250a - Header files for Linux 2.6.32-5-sb1-bcm91250a
 linux-headers-2.6.32-5-sb1a-bcm91480b - Header files for Linux 2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sh7751r - Header files for Linux 2.6.32-5-sh7751r
 linux-headers-2.6.32-5-sh7785lcr - Header files for Linux 2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-sparc64 - Header files for Linux 2.6.32-5-sparc64
 linux-headers-2.6.32-5-sparc64-smp - Header files for Linux 2.6.32-5-sparc64-smp
 linux-headers-2.6.32-5-versatile - Header files for Linux 2.6.32-5-versatile
 linux-headers-2.6.32-5-vserver-686 - Header files for Linux 2.6.32-5-vserver-686
 linux-headers-2.6.32-5-vserver-686-bigmem - Header files for Linux 2.6.32-5-vserver-686-bigmem
 linux-headers-2.6.32-5-vserver-amd64 - Header files for Linux 2.6.32-5-vserver-amd64
 linux-headers-2.6.32-5-vserver-itanium - Header files for Linux 2.6.32-5-vserver-itanium
 linux-headers-2.6.32-5-vserver-mckinley - Header files for Linux 2.6.32-5-vserver-mckinley
 linux-headers-2.6.32-5-vserver-powerpc - Header files for Linux 2.6.32-5-vserver-powerpc
 linux-headers-2.6.32-5-vserver-powerpc64 - Header files for Linux 2.6.32-5-vserver-powerpc64
 linux-headers-2.6.32-5-vserver-s390x - Header files for Linux 2.6.32-5-vserver-s390x
 linux-headers-2.6.32-5-vserver-sparc64 - Header files for Linux 2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-xen-686 - Header files for Linux 2.6.32-5-xen-686
 linux-headers-2.6.32-5-xen-amd64 - Header files for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-5-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-5-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-5-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-5-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-5-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-686-bigmem
 linux-image-2.6.32-5-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-5-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-5-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-5-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-5-amd64-dbg - Debugging infos for Linux 2.6.32-5-amd64
 linux-image-2.6.32-5-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-5-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-5-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-5-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-5-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-5-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-5-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-5-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-5-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-5-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-5-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-5-openvz-686 - Linux 2.6.32 for modern PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-686-dbg - Debugging infos for Linux 2.6.32-5-openvz-686
 linux-image-2.6.32-5-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-amd64-dbg - Debugging infos for Linux 2.6.32-5-openvz-amd64
 linux-image-2.6.32-5-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-5-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-5-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-5-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-5-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-5-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-5-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-5-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-5-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-5-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-5-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-5-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-5-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-5-sh7751r - Linux 2.6.32 for sh7751r
 linux-image-2.6.32-5-sh7785lcr - Linux 2.6.32 for sh7785lcr
 linux-image-2.6.32-5-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-5-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-5-vserver-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-vserver-686-bigmem
 linux-image-2.6.32-5-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-amd64-dbg - Debugging infos for Linux 2.6.32-5-vserver-amd64
 linux-image-2.6.32-5-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-5-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-5-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-5-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-5-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-image-2.6.32-5-xen-686 - Linux 2.6.32 for modern PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-686-dbg - Debugging infos for Linux 2.6.32-5-xen-686
 linux-image-2.6.32-5-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-amd64-dbg - Debugging infos for Linux 2.6.32-5-xen-amd64
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-5 - Support files for Linux 2.6.32
 linux-tools-2.6.32 - Performance analysis tools for Linux 2.6.32
 xen-linux-system-2.6.32-5-xen-686 - Xen system with Linux 2.6.32 on modern PCs (meta-package)
 xen-linux-system-2.6.32-5-xen-amd64 - Xen system with Linux 2.6.32 on 64-bit PCs (meta-package)
Closes: 488566 583968 596772 600155 600299 600305 600384 600423
Changes: 
 linux-2.6 (2.6.32-26) unstable; urgency=high
 .
   [ Ian Campbell ]
   * xen: fix PVHVM hang at boot when Xen does not support vector callbacks.
   * xen: fix race between PV drivers and xenstore initialisation which caused
     breakage in drivers for both regular PV and PVHVM guests.
 .
   [ maximilian attems ]
   * [openvz] Enable ioprio. (closes: #596772)
     Thanks Daniel Hahler <debian-bugs@thequod.de>
 .
   [ Ben Hutchings ]
   * [x86] radeon: Add quirks to make HP nx6125 and dv5000 laptops resume
     (Closes: #583968)
   * dm-crypt: Add 'plain64' IV; this avoids watermarking attacks that are
     possible with 'plain' IV on devices larger than 2TB (Closes: #600384)
   * [x86] ahci,ata_generic: let ata_generic handle new MBP w/ MCP89
     (Closes: #600305)
   * debian/.../patches.py: Open files as needed, rather than all at once
     (Closes: #600423)
   * [openvz] printk: Handle global log buffer reallocation (Closes: #600299)
   * debian/bin/test-patches: Restrict patches to featureset when building
     with a featureset (thanks to Tim Small)
   * sata_via: Delay on vt6420 when starting ATAPI DMA write (Closes: #488566)
   * r6040: Fix various bugs in r6040_multicast_list() (Closes: #600155)
 .
   [ dann frazier ]
   * Force enable DMA on MBP w/ MCP 7,1
   * RDS sockets: remove unsafe kmap_atomic optimization (CVE-2010-3904)
   * v4l: disable dangerous buggy compat function (CVE-2010-2963)
Checksums-Sha1: 
 5edad5d2acf06cd8066825232c4f3f54a8f9f1d7 6337 linux-2.6_2.6.32-26.dsc
 b3eb16a4b9998b236996149581b8cab81b118748 13275931 linux-2.6_2.6.32-26.diff.gz
 6b3abd6bab3b75f90ec285c404f89f30499296c4 6045406 linux-doc-2.6.32_2.6.32-26_all.deb
 da76081934a61fc41d29efd682563aa3e761f1b0 2722362 linux-manual-2.6.32_2.6.32-26_all.deb
 0d2effd9ad041e62325a18ad436f4c5f11d0d751 6839588 linux-patch-debian-2.6.32_2.6.32-26_all.deb
 cdcf136f57a2af456440bf64c2f110c06aa2b7ed 64810666 linux-source-2.6.32_2.6.32-26_all.deb
 398ba55397b45dd4df1a7bc3ce691d0bce68ac94 152378 linux-support-2.6.32-5_2.6.32-26_all.deb
 f07466fa327a838afd998ae18e0ad86d7c9a3010 140568 firmware-linux-free_2.6.32-26_all.deb
 0f56e608787b5686eb61aeffe6b7bc906bbabeb5 159232 linux-base_2.6.32-26_all.deb
 ffa1a829a2ec5bdb6b120d30313f03996fd6100f 27169244 linux-image-2.6.32-5-486_2.6.32-26_i386.deb
 808b69f232a585f98678b680ad69bf0acd73cc8b 484478 linux-headers-2.6.32-5-486_2.6.32-26_i386.deb
 fbb967d67485bbbe5b87d4a47a13a92f3e5973e3 27309928 linux-image-2.6.32-5-686_2.6.32-26_i386.deb
 cb9c798b1c077391c6838ea295c19ded543277ee 485670 linux-headers-2.6.32-5-686_2.6.32-26_i386.deb
 846abc030b5807e6c879a1e37c9063176ce0ceed 27508462 linux-image-2.6.32-5-686-bigmem_2.6.32-26_i386.deb
 1d0723a166f4d5dfd6066bf4fb406b68f8988a1e 414325838 linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-26_i386.deb
 425ce774051a68a609161507d03478b93fb1d6a3 524294 linux-headers-2.6.32-5-686-bigmem_2.6.32-26_i386.deb
 b36e21c55aa79fdf5b4c0ef690e1838cf5e5b4a2 28389786 linux-image-2.6.32-5-amd64_2.6.32-26_i386.deb
 dd966a1b10bed7d8f63081174bd9488dc71199b6 480010 linux-headers-2.6.32-5-amd64_2.6.32-26_i386.deb
 aa06a3fe6d7d48bfa8571d94d0e81d7dce844ea0 3883680 linux-headers-2.6.32-5-common_2.6.32-26_i386.deb
 1a3475f7920e6c1d4d820c124e1a2bcaf39e2fe1 27646796 linux-image-2.6.32-5-openvz-686_2.6.32-26_i386.deb
 58cd9f19ab395c47e10465852442bd8627f2e228 489151746 linux-image-2.6.32-5-openvz-686-dbg_2.6.32-26_i386.deb
 e0d97c9fe1a54d77ae5511a909887482e2652d4e 549068 linux-headers-2.6.32-5-openvz-686_2.6.32-26_i386.deb
 ad4f7c0013e1f9410afb6ace4234349b7788c5c9 3935222 linux-headers-2.6.32-5-common-openvz_2.6.32-26_i386.deb
 f46617dd156fed9f6976ec2e0023b4f8add415df 135786 linux-headers-2.6.32-5-all_2.6.32-26_i386.deb
 790bc68278d2e473ae38a91b41e70d22afe83123 135834 linux-headers-2.6.32-5-all-i386_2.6.32-26_i386.deb
 77349581fe43af4ba142d67c17f4d0a715703e43 832618 linux-libc-dev_2.6.32-26_i386.deb
 87057ab009cfdbbb24d5e9cc7df704bad19ee9c4 284716 linux-tools-2.6.32_2.6.32-26_i386.deb
 8b02cf1f8f51867bf3e33537edc5ad6f652fb130 27365434 linux-image-2.6.32-5-vserver-686_2.6.32-26_i386.deb
 bcc2a7a7fbb449ec17ffa882b91894a21d8263f1 486238 linux-headers-2.6.32-5-vserver-686_2.6.32-26_i386.deb
 e0ce7363cb63ba571295e4376957cdf008ce4e39 27560804 linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-26_i386.deb
 3e46bee61281e27233ac750f384562d4aeee577a 424583616 linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-26_i386.deb
 4920da1208af34c5f2bd6d2306cdc8e00d02b248 526982 linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-26_i386.deb
 b011d392032281a16a1eed42bc2930fb3bdf2ede 3916466 linux-headers-2.6.32-5-common-vserver_2.6.32-26_i386.deb
 844af7601909a8e5dda85ad6a12282c02ab2f1cd 27594968 linux-image-2.6.32-5-xen-686_2.6.32-26_i386.deb
 22497dfc743167aa59ae3a5cfc7ced44205712a3 417133952 linux-image-2.6.32-5-xen-686-dbg_2.6.32-26_i386.deb
 72cf6b0aa61208f6576498005b4f71209957ee9c 527064 linux-headers-2.6.32-5-xen-686_2.6.32-26_i386.deb
 cc835b7b2f42c8e2f989b257f1c073789aab2a5e 135778 xen-linux-system-2.6.32-5-xen-686_2.6.32-26_i386.deb
 bc86b56c4f7898cfb12bf3aa02939b26a7cde6ec 3900994 linux-headers-2.6.32-5-common-xen_2.6.32-26_i386.deb
Checksums-Sha256: 
 4ede7152211afda5fc438ab58aac70a4880100f8772d10ecb1d1ade8445dd840 6337 linux-2.6_2.6.32-26.dsc
 d0367924e39e5612d7382e36ac57df1a4410ceb59cedce16a0a863eae065ec06 13275931 linux-2.6_2.6.32-26.diff.gz
 d3e6590b6bc728ac29beaa88007f7ed48c0647ad5abd3e946d2f87c078ae22f2 6045406 linux-doc-2.6.32_2.6.32-26_all.deb
 ec84d2e463ddfac9300c908730c4799ec90d2410a4caee5e9db8f2222fe42c61 2722362 linux-manual-2.6.32_2.6.32-26_all.deb
 1aad04353a26d69b34ed0598485b9c9460e7e451aaa04ce792f48dabbe6e4a09 6839588 linux-patch-debian-2.6.32_2.6.32-26_all.deb
 1f2ebc5b8803c5f75de32d01c448940ec5afbc1f18e3c45832b1fb923c6f733b 64810666 linux-source-2.6.32_2.6.32-26_all.deb
 951f96b9269427b55e6d8985037d3f3e44e342e9684f00917524d335a207497c 152378 linux-support-2.6.32-5_2.6.32-26_all.deb
 718586fb47aad98b8674c2610605a6a19586ad4e1e6da90f7afe7daa68200212 140568 firmware-linux-free_2.6.32-26_all.deb
 517456c10a6a2e5864e4e5e660d870f2d4ded98d548da1652fddd946c9956054 159232 linux-base_2.6.32-26_all.deb
 52cfaa60bc6ce428cfaa960be38d150b8714feb9efcc499f72401bfe615513e7 27169244 linux-image-2.6.32-5-486_2.6.32-26_i386.deb
 fd7eb9f4a15c4321bc6c4890610a03e766b3b95889f21521f944d41dbc1dae52 484478 linux-headers-2.6.32-5-486_2.6.32-26_i386.deb
 c7da325d9f3ad0eb80524a5dd2ccb422ca6a2f3025b2c801e532667f92c2f81d 27309928 linux-image-2.6.32-5-686_2.6.32-26_i386.deb
 3fb4a23521641fd3a0f940649984b2f92447e81d8b3bf6ed3018c58fe60cbde5 485670 linux-headers-2.6.32-5-686_2.6.32-26_i386.deb
 2f0bdd149fc8de9eaf5b6e5825f135b109e81526dffd69d9a9c33522d1bcec3b 27508462 linux-image-2.6.32-5-686-bigmem_2.6.32-26_i386.deb
 515ba4ca5af5bf8ea8940ff5732a392bc0b7aabc606242e4bb4a220b8dc872aa 414325838 linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-26_i386.deb
 7ef84e8a522c0201609b2322c72d01929f861346c5858168e23709121baf8a80 524294 linux-headers-2.6.32-5-686-bigmem_2.6.32-26_i386.deb
 2566ad8a1daf16007ec3ff06563f253b97d08f7b59590709676eec2c1bec6367 28389786 linux-image-2.6.32-5-amd64_2.6.32-26_i386.deb
 ee25110e14515fa5b43741bf1b7b5d6def27e86cd89663bd759580bdf394887d 480010 linux-headers-2.6.32-5-amd64_2.6.32-26_i386.deb
 cb3dd6c37b7cdc9e2186ded9699691dc737961bef6c47ef1213d6e54f1b4a6c6 3883680 linux-headers-2.6.32-5-common_2.6.32-26_i386.deb
 c00c666e6b812e5194c915e48f28f41398dd3e9c210002083346f719b3f19b2b 27646796 linux-image-2.6.32-5-openvz-686_2.6.32-26_i386.deb
 1d2c00f5c6b2c6da35f9c7b630cb04d728a73dd1ac90ad4adfc882e1b6aac1b6 489151746 linux-image-2.6.32-5-openvz-686-dbg_2.6.32-26_i386.deb
 5e817c0f8928089a25e2f2bc3a61f00e6b32a387d3219cb7a6b82f8773a4312b 549068 linux-headers-2.6.32-5-openvz-686_2.6.32-26_i386.deb
 801ce48da4f8824cf0576a41ccbc0b986340e72cb36419190e1d7003a1be7cd4 3935222 linux-headers-2.6.32-5-common-openvz_2.6.32-26_i386.deb
 b759467ee28b4f133f3c206c0e0efdc6ebc0b4569b0e6a297cd67274905f288c 135786 linux-headers-2.6.32-5-all_2.6.32-26_i386.deb
 7ec9029dae5a7709912afd6d74772ba88d115731b68eabdd0d538c89f131296c 135834 linux-headers-2.6.32-5-all-i386_2.6.32-26_i386.deb
 464b16a4a682edc9e203a02ffbad207ea5ba5b32bdcfe73eeb508ddbac1a297d 832618 linux-libc-dev_2.6.32-26_i386.deb
 66bbde5cdfed54e2ca9dd9cbd16e97468d4828f7a9b994485f2081963cbeb9cc 284716 linux-tools-2.6.32_2.6.32-26_i386.deb
 29a6eeb3359decf8d4c123118e51e684ceead0b2d0a7e2205ba37a290198c9dc 27365434 linux-image-2.6.32-5-vserver-686_2.6.32-26_i386.deb
 944de3b029a69382eb823ab8ecfb1a22184290286af8121c86b72c689380b1ca 486238 linux-headers-2.6.32-5-vserver-686_2.6.32-26_i386.deb
 c5a7ee56a7d46b76ddb54721ad8e10dbcc3a2b65ef8d4e7fd5cdc998eba3a635 27560804 linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-26_i386.deb
 264e7ea533ddf44a7deff52af810920a28e297d16d7cdffa43de20a3e32088bf 424583616 linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-26_i386.deb
 ec55a2e5a15f86b0e7603d092431407cd5f94cf004056e4b07d495074938367a 526982 linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-26_i386.deb
 9aab2b3617389cdeb2ce76c7a99c83e0995b21a2460635ef0b682b033980e6a0 3916466 linux-headers-2.6.32-5-common-vserver_2.6.32-26_i386.deb
 b7ceb95d32e5027ad71f0927495918063df53bd3c774abcc27653a08dae81700 27594968 linux-image-2.6.32-5-xen-686_2.6.32-26_i386.deb
 2711cd83f5a5456994aa892c9eda6534ff8640128e94f7de0cca4f680a7dbb94 417133952 linux-image-2.6.32-5-xen-686-dbg_2.6.32-26_i386.deb
 c083d479e502007bd3cc3176c5d6620b912c2d05ecd7a9cd7dc9fe565fb32544 527064 linux-headers-2.6.32-5-xen-686_2.6.32-26_i386.deb
 d5fbf0f7465b3f9d3cd6fb75874cd3183adc263e0ef787198615de787df5a1a5 135778 xen-linux-system-2.6.32-5-xen-686_2.6.32-26_i386.deb
 ad767e455c0872dff4dd80658df8a4808808ddfc7ff3e5c8e9005d9d784f3410 3900994 linux-headers-2.6.32-5-common-xen_2.6.32-26_i386.deb
Files: 
 b13b245510baecbdb80affbcdaace5de 6337 kernel optional linux-2.6_2.6.32-26.dsc
 3b854badb89784d13b4a46843d9bdaf4 13275931 kernel optional linux-2.6_2.6.32-26.diff.gz
 0865e4ef4adaa82ac1c9671d68b3f97d 6045406 doc optional linux-doc-2.6.32_2.6.32-26_all.deb
 fd1541d05bce80400ef506a7106084f9 2722362 doc optional linux-manual-2.6.32_2.6.32-26_all.deb
 04f2f5133aa8293653d40cf1a912e347 6839588 kernel optional linux-patch-debian-2.6.32_2.6.32-26_all.deb
 bd42bf22a88e8263506d11c059a927e6 64810666 kernel optional linux-source-2.6.32_2.6.32-26_all.deb
 0c23576c68c3c247777ef6c69564196b 152378 devel optional linux-support-2.6.32-5_2.6.32-26_all.deb
 4b1fa1e2b6652ac9a21f874e9e4bf606 140568 kernel optional firmware-linux-free_2.6.32-26_all.deb
 da2f6a1506f8d2d110ab9f6d186d4d6d 159232 kernel optional linux-base_2.6.32-26_all.deb
 3ce035be3873d5208d31103f4182db7a 27169244 kernel optional linux-image-2.6.32-5-486_2.6.32-26_i386.deb
 75ea5acd98fe99dae4f4bad19e970ffc 484478 kernel optional linux-headers-2.6.32-5-486_2.6.32-26_i386.deb
 0c99f0cc60d6f061d60a9cf75dfccc03 27309928 kernel optional linux-image-2.6.32-5-686_2.6.32-26_i386.deb
 e190adf2c2651768af5069e60ebbfafa 485670 kernel optional linux-headers-2.6.32-5-686_2.6.32-26_i386.deb
 504dd669ab6daade869f9467551a8501 27508462 kernel optional linux-image-2.6.32-5-686-bigmem_2.6.32-26_i386.deb
 46431f366bb3db75cb4f6544b5c768aa 414325838 debug extra linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-26_i386.deb
 2ecae78e85252084c58aa6a0514b4f48 524294 kernel optional linux-headers-2.6.32-5-686-bigmem_2.6.32-26_i386.deb
 1ea2f1a4db1418246eb3ff70c25e5e79 28389786 kernel optional linux-image-2.6.32-5-amd64_2.6.32-26_i386.deb
 04ceb54a2e5d9305d74335c62efaa255 480010 kernel optional linux-headers-2.6.32-5-amd64_2.6.32-26_i386.deb
 c254df33218c8379a702d798e7d92447 3883680 kernel optional linux-headers-2.6.32-5-common_2.6.32-26_i386.deb
 6650a1893d6786474ea6a5efb3b0c12a 27646796 kernel optional linux-image-2.6.32-5-openvz-686_2.6.32-26_i386.deb
 85619fccf608c38088448b460484d616 489151746 debug extra linux-image-2.6.32-5-openvz-686-dbg_2.6.32-26_i386.deb
 c06f835f255ef9cb41a93c95008d3f5c 549068 kernel optional linux-headers-2.6.32-5-openvz-686_2.6.32-26_i386.deb
 7922a7729b61fc3ac17d88de8ab66645 3935222 kernel optional linux-headers-2.6.32-5-common-openvz_2.6.32-26_i386.deb
 48cd5d0bf0b0c21a89cafef07d296a38 135786 kernel optional linux-headers-2.6.32-5-all_2.6.32-26_i386.deb
 5c5d988e22a54ac8e449f2670446474e 135834 kernel optional linux-headers-2.6.32-5-all-i386_2.6.32-26_i386.deb
 ef3386fa130d934abc8a7baec59e0b01 832618 devel optional linux-libc-dev_2.6.32-26_i386.deb
 2607f1639f2c60acd6d192071b97de97 284716 kernel optional linux-tools-2.6.32_2.6.32-26_i386.deb
 303b8d7ffa6e4ec1979609ea8c3be25a 27365434 kernel optional linux-image-2.6.32-5-vserver-686_2.6.32-26_i386.deb
 3092825711c6df862bd148e17970a921 486238 kernel optional linux-headers-2.6.32-5-vserver-686_2.6.32-26_i386.deb
 1d5c7c9237455c5c8fcfdebac6d8b4f0 27560804 kernel optional linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-26_i386.deb
 cd93a791a78a2334ddaff86dffb403d8 424583616 debug extra linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-26_i386.deb
 00b8dae2b6f683ab3f6bdff2b2a36104 526982 kernel optional linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-26_i386.deb
 3a1b7f91aaa66553f895433d835b80ad 3916466 kernel optional linux-headers-2.6.32-5-common-vserver_2.6.32-26_i386.deb
 715c79a8d900cd6a042a3188c1dcd8e9 27594968 kernel optional linux-image-2.6.32-5-xen-686_2.6.32-26_i386.deb
 aef8edbfc4a7720c54e2fbd4fb36a60d 417133952 debug extra linux-image-2.6.32-5-xen-686-dbg_2.6.32-26_i386.deb
 6e414e99d0fd1b2721f0fde492e736db 527064 kernel optional linux-headers-2.6.32-5-xen-686_2.6.32-26_i386.deb
 79b90ba56d9287325f4124135c5473d2 135778 kernel optional xen-linux-system-2.6.32-5-xen-686_2.6.32-26_i386.deb
 f3325074405653aea332c0d51b33d0c7 3900994 kernel optional linux-headers-2.6.32-5-common-xen_2.6.32-26_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAky98YwACgkQhuANDBmkLRkGTACfe8z2lGjI1UkWnZ+wdq/DFq7G
3gwAnR+yfHSzxp+3VR8oo+fmQCvIUqky
=/5om
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600155; Package linux-2.6. (Fri, 22 Oct 2010 18:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Greg KH <gregkh@suse.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 22 Oct 2010 18:42:03 GMT) Full text and rfc822 format available.

Message #29 received at 600155@bugs.debian.org (full text, mbox):

From: Greg KH <gregkh@suse.de>
To: linux-kernel@vger.kernel.org, stable@kernel.org, Florian Fainelli <florian@openwrt.org>
Cc: stable-review@kernel.org, torvalds@linux-foundation.org, akpm@linux-foundation.org, alan@lxorguk.ukuu.org.uk, 600155@bugs.debian.org, Jason Heeris <jason.heeris@gmail.com>, David Miller <davem@davemloft.net>, spamalot@hispeed.ch, Ben Hutchings <ben@decadent.org.uk>
Subject: [50/66] r6040: Fix multicast list iteration when hash filter is used
Date: Fri, 22 Oct 2010 11:35:17 -0700
2.6.32-stable review patch.  If anyone has any objections, please let us know.

------------------

From: Ben Hutchings <ben@decadent.org.uk>

This was fixed in mainline by the interface change made in commit
f9dcbcc9e338d08c0f7de7eba4eaafbbb7f81249.

After walking the multicast list to set up the hash filter, this
function will walk off the end of the list when filling the
exact-match entries.  This was fixed in mainline by the interface
change made in commit f9dcbcc9e338d08c0f7de7eba4eaafbbb7f81249.

Reported-by: spamalot@hispeed.ch
Reference: https://bugzilla.kernel.org/show_bug.cgi?id=15355
Reported-by: Jason Heeris <jason.heeris@gmail.com>
Reference: http://bugs.debian.org/600155
Signed-off-by: Ben Hutchings <ben@decadent.org.uk>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/net/r6040.c |    1 +
 1 file changed, 1 insertion(+)

--- a/drivers/net/r6040.c
+++ b/drivers/net/r6040.c
@@ -992,6 +992,7 @@ static void r6040_multicast_list(struct
 		iowrite16(hash_table[3], ioaddr + MAR3);
 	}
 	/* Multicast Address 1~4 case */
+	dmi = dev->mc_list;
 	for (i = 0, dmi; (i < dev->mc_count) && (i < MCAST_MAX); i++) {
 		adrp = (u16 *)dmi->dmi_addr;
 		iowrite16(adrp[0], ioaddr + MID_1L + 8*i);






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600155; Package linux-2.6. (Fri, 22 Oct 2010 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Greg KH <gregkh@suse.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 22 Oct 2010 18:45:03 GMT) Full text and rfc822 format available.

Message #34 received at 600155@bugs.debian.org (full text, mbox):

From: Greg KH <gregkh@suse.de>
To: linux-kernel@vger.kernel.org, stable@kernel.org, Florian Fainelli <florian@openwrt.org>
Cc: stable-review@kernel.org, torvalds@linux-foundation.org, akpm@linux-foundation.org, alan@lxorguk.ukuu.org.uk, 600155@bugs.debian.org, Jason Heeris <jason.heeris@gmail.com>, David Miller <davem@davemloft.net>, spamalot@hispeed.ch, Ben Hutchings <ben@decadent.org.uk>
Subject: [11/17] r6040: Fix multicast list iteration when hash filter is used
Date: Fri, 22 Oct 2010 11:39:36 -0700
2.6.27-stable review patch.  If anyone has any objections, please let us know.

------------------

From: Ben Hutchings <ben@decadent.org.uk>

This was fixed in mainline by the interface change made in commit
f9dcbcc9e338d08c0f7de7eba4eaafbbb7f81249.

After walking the multicast list to set up the hash filter, this
function will walk off the end of the list when filling the
exact-match entries.  This was fixed in mainline by the interface
change made in commit f9dcbcc9e338d08c0f7de7eba4eaafbbb7f81249.

Reported-by: spamalot@hispeed.ch
Reference: https://bugzilla.kernel.org/show_bug.cgi?id=15355
Reported-by: Jason Heeris <jason.heeris@gmail.com>
Reference: http://bugs.debian.org/600155
Signed-off-by: Ben Hutchings <ben@decadent.org.uk>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/net/r6040.c |    1 +
 1 file changed, 1 insertion(+)

--- a/drivers/net/r6040.c
+++ b/drivers/net/r6040.c
@@ -976,6 +976,7 @@ static void r6040_multicast_list(struct
 		iowrite16(hash_table[3], ioaddr + MAR3);
 	}
 	/* Multicast Address 1~4 case */
+	dmi = dev->mc_list;
 	for (i = 0, dmi; (i < dev->mc_count) && (i < MCAST_MAX); i++) {
 		adrp = (u16 *)dmi->dmi_addr;
 		iowrite16(adrp[0], ioaddr + MID_1L + 8*i);






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600155; Package linux-2.6. (Fri, 22 Oct 2010 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jack Stone <jwjstone@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 22 Oct 2010 19:15:03 GMT) Full text and rfc822 format available.

Message #39 received at 600155@bugs.debian.org (full text, mbox):

From: Jack Stone <jwjstone@fastmail.fm>
To: Greg KH <gregkh@suse.de>
Cc: linux-kernel@vger.kernel.org, stable@kernel.org, Florian Fainelli <florian@openwrt.org>, stable-review@kernel.org, torvalds@linux-foundation.org, akpm@linux-foundation.org, alan@lxorguk.ukuu.org.uk, 600155@bugs.debian.org, Jason Heeris <jason.heeris@gmail.com>, David Miller <davem@davemloft.net>, spamalot@hispeed.ch, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: [11/17] r6040: Fix multicast list iteration when hash filter is used
Date: Fri, 22 Oct 2010 20:13:27 +0100
On 22/10/2010 19:39, Greg KH wrote:
>  drivers/net/r6040.c |    1 +
>  1 file changed, 1 insertion(+)
> 
> --- a/drivers/net/r6040.c
> +++ b/drivers/net/r6040.c
> @@ -976,6 +976,7 @@ static void r6040_multicast_list(struct
>  		iowrite16(hash_table[3], ioaddr + MAR3);
>  	}
>  	/* Multicast Address 1~4 case */
> +	dmi = dev->mc_list;
>  	for (i = 0, dmi; (i < dev->mc_count) && (i < MCAST_MAX); i++) {
Any reason for the dmi in the above line? As far as I can see it is a
nop.

>  		adrp = (u16 *)dmi->dmi_addr;
>  		iowrite16(adrp[0], ioaddr + MID_1L + 8*i);
> 





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600155; Package linux-2.6. (Fri, 22 Oct 2010 19:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Greg KH <gregkh@suse.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 22 Oct 2010 19:27:03 GMT) Full text and rfc822 format available.

Message #44 received at 600155@bugs.debian.org (full text, mbox):

From: Greg KH <gregkh@suse.de>
To: Jack Stone <jwjstone@fastmail.fm>
Cc: linux-kernel@vger.kernel.org, stable@kernel.org, Florian Fainelli <florian@openwrt.org>, stable-review@kernel.org, torvalds@linux-foundation.org, akpm@linux-foundation.org, alan@lxorguk.ukuu.org.uk, 600155@bugs.debian.org, Jason Heeris <jason.heeris@gmail.com>, David Miller <davem@davemloft.net>, spamalot@hispeed.ch, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: [11/17] r6040: Fix multicast list iteration when hash filter is used
Date: Fri, 22 Oct 2010 12:23:50 -0700
On Fri, Oct 22, 2010 at 08:13:27PM +0100, Jack Stone wrote:
> On 22/10/2010 19:39, Greg KH wrote:
> >  drivers/net/r6040.c |    1 +
> >  1 file changed, 1 insertion(+)
> > 
> > --- a/drivers/net/r6040.c
> > +++ b/drivers/net/r6040.c
> > @@ -976,6 +976,7 @@ static void r6040_multicast_list(struct
> >  		iowrite16(hash_table[3], ioaddr + MAR3);
> >  	}
> >  	/* Multicast Address 1~4 case */
> > +	dmi = dev->mc_list;
> >  	for (i = 0, dmi; (i < dev->mc_count) && (i < MCAST_MAX); i++) {
> Any reason for the dmi in the above line? As far as I can see it is a
> nop.

Look closer at the for loop please.

thanks,

greg k-h




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600155; Package linux-2.6. (Fri, 22 Oct 2010 19:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jack Stone <jwjstone@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 22 Oct 2010 19:33:06 GMT) Full text and rfc822 format available.

Message #49 received at 600155@bugs.debian.org (full text, mbox):

From: Jack Stone <jwjstone@fastmail.fm>
To: Greg KH <gregkh@suse.de>
Cc: linux-kernel@vger.kernel.org, stable@kernel.org, Florian Fainelli <florian@openwrt.org>, stable-review@kernel.org, torvalds@linux-foundation.org, akpm@linux-foundation.org, alan@lxorguk.ukuu.org.uk, 600155@bugs.debian.org, Jason Heeris <jason.heeris@gmail.com>, David Miller <davem@davemloft.net>, spamalot@hispeed.ch, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: [11/17] r6040: Fix multicast list iteration when hash filter is used
Date: Fri, 22 Oct 2010 20:29:20 +0100
On 22/10/2010 20:23, Greg KH wrote:
> On Fri, Oct 22, 2010 at 08:13:27PM +0100, Jack Stone wrote:
>> On 22/10/2010 19:39, Greg KH wrote:
>>>  drivers/net/r6040.c |    1 +
>>>  1 file changed, 1 insertion(+)
>>>
>>> --- a/drivers/net/r6040.c
>>> +++ b/drivers/net/r6040.c
>>> @@ -976,6 +976,7 @@ static void r6040_multicast_list(struct
>>>  		iowrite16(hash_table[3], ioaddr + MAR3);
>>>  	}
>>>  	/* Multicast Address 1~4 case */
>>> +	dmi = dev->mc_list;
>>>  	for (i = 0, dmi; (i < dev->mc_count) && (i < MCAST_MAX); i++) {
>> Any reason for the dmi in the above line? As far as I can see it is a
>> nop.
> 
> Look closer at the for loop please.

Maybe I'm missing something but:
for (i = 0, ---->dmi <----; (i < ...

The dmi here still doesn't seem to do anything?

Thanks,

Jack




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600155; Package linux-2.6. (Fri, 22 Oct 2010 21:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 22 Oct 2010 21:21:04 GMT) Full text and rfc822 format available.

Message #54 received at 600155@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Jack Stone <jwjstone@fastmail.fm>
Cc: Greg KH <gregkh@suse.de>, linux-kernel@vger.kernel.org, stable@kernel.org, Florian Fainelli <florian@openwrt.org>, stable-review@kernel.org, torvalds@linux-foundation.org, akpm@linux-foundation.org, alan@lxorguk.ukuu.org.uk, 600155@bugs.debian.org, Jason Heeris <jason.heeris@gmail.com>, David Miller <davem@davemloft.net>, spamalot@hispeed.ch
Subject: Re: [11/17] r6040: Fix multicast list iteration when hash filter is used
Date: Fri, 22 Oct 2010 22:18:06 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2010-10-22 at 20:29 +0100, Jack Stone wrote:
> On 22/10/2010 20:23, Greg KH wrote:
> > On Fri, Oct 22, 2010 at 08:13:27PM +0100, Jack Stone wrote:
> >> On 22/10/2010 19:39, Greg KH wrote:
> >>>  drivers/net/r6040.c |    1 +
> >>>  1 file changed, 1 insertion(+)
> >>>
> >>> --- a/drivers/net/r6040.c
> >>> +++ b/drivers/net/r6040.c
> >>> @@ -976,6 +976,7 @@ static void r6040_multicast_list(struct
> >>>  		iowrite16(hash_table[3], ioaddr + MAR3);
> >>>  	}
> >>>  	/* Multicast Address 1~4 case */
> >>> +	dmi = dev->mc_list;
> >>>  	for (i = 0, dmi; (i < dev->mc_count) && (i < MCAST_MAX); i++) {
> >> Any reason for the dmi in the above line? As far as I can see it is a
> >> nop.
> > 
> > Look closer at the for loop please.
> 
> Maybe I'm missing something but:
> for (i = 0, ---->dmi <----; (i < ...
> 
> The dmi here still doesn't seem to do anything?

It doesn't, but it doesn't do any harm either.  The loop has been
rewritten in mainline.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600155; Package linux-2.6. (Fri, 22 Oct 2010 21:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jack Stone <jwjstone@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 22 Oct 2010 21:27:05 GMT) Full text and rfc822 format available.

Message #59 received at 600155@bugs.debian.org (full text, mbox):

From: Jack Stone <jwjstone@fastmail.fm>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Greg KH <gregkh@suse.de>, linux-kernel@vger.kernel.org, stable@kernel.org, Florian Fainelli <florian@openwrt.org>, stable-review@kernel.org, torvalds@linux-foundation.org, akpm@linux-foundation.org, alan@lxorguk.ukuu.org.uk, 600155@bugs.debian.org, Jason Heeris <jason.heeris@gmail.com>, David Miller <davem@davemloft.net>, spamalot@hispeed.ch
Subject: Re: [11/17] r6040: Fix multicast list iteration when hash filter is used
Date: Fri, 22 Oct 2010 22:23:15 +0100
On 22/10/2010 22:18, Ben Hutchings wrote:
> On Fri, 2010-10-22 at 20:29 +0100, Jack Stone wrote:
>> On 22/10/2010 20:23, Greg KH wrote:
>>> On Fri, Oct 22, 2010 at 08:13:27PM +0100, Jack Stone wrote:
>>>> On 22/10/2010 19:39, Greg KH wrote:
>>>>>  drivers/net/r6040.c |    1 +
>>>>>  1 file changed, 1 insertion(+)
>>>>>
>>>>> --- a/drivers/net/r6040.c
>>>>> +++ b/drivers/net/r6040.c
>>>>> @@ -976,6 +976,7 @@ static void r6040_multicast_list(struct
>>>>>  		iowrite16(hash_table[3], ioaddr + MAR3);
>>>>>  	}
>>>>>  	/* Multicast Address 1~4 case */
>>>>> +	dmi = dev->mc_list;
>>>>>  	for (i = 0, dmi; (i < dev->mc_count) && (i < MCAST_MAX); i++) {
>>>> Any reason for the dmi in the above line? As far as I can see it is a
>>>> nop.
>>>
>>> Look closer at the for loop please.
>>
>> Maybe I'm missing something but:
>> for (i = 0, ---->dmi <----; (i < ...
>>
>> The dmi here still doesn't seem to do anything?
> 
> It doesn't, but it doesn't do any harm either.  The loop has been
> rewritten in mainline.

Agreed, it causes no problems, but it seems like it was intended to be
the dmi init, i.e.

for (i = 0, dmi = dev->mc_list; ...

I suppose it doesn't really matter but either removing the dmi in the
for loop or moving the dmi init in there would make more sense to me.

I really should learn to explain myself fully. Sorry for taking up
your time.

Thanks,

Jack




Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Sun, 21 Nov 2010 07:57:08 GMT) Full text and rfc822 format available.

Notification sent to Jason Heeris <jason.heeris@gmail.com>:
Bug acknowledged by developer. (Sun, 21 Nov 2010 07:57:09 GMT) Full text and rfc822 format available.

Message #64 received at 600155-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 600155-close@bugs.debian.org
Subject: Bug#600155: fixed in linux-2.6 2.6.26-26
Date: Sun, 21 Nov 2010 07:55:07 +0000
Source: linux-2.6
Source-Version: 2.6.26-26

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.26-26.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.26-26.diff.gz
linux-2.6_2.6.26-26.dsc
  to main/l/linux-2.6/linux-2.6_2.6.26-26.dsc
linux-doc-2.6.26_2.6.26-26_all.deb
  to main/l/linux-2.6/linux-doc-2.6.26_2.6.26-26_all.deb
linux-headers-2.6.26-2-486_2.6.26-26_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-486_2.6.26-26_i386.deb
linux-headers-2.6.26-2-686-bigmem_2.6.26-26_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-686-bigmem_2.6.26-26_i386.deb
linux-headers-2.6.26-2-686_2.6.26-26_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-686_2.6.26-26_i386.deb
linux-headers-2.6.26-2-all-i386_2.6.26-26_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-all-i386_2.6.26-26_i386.deb
linux-headers-2.6.26-2-all_2.6.26-26_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-all_2.6.26-26_i386.deb
linux-headers-2.6.26-2-amd64_2.6.26-26_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-amd64_2.6.26-26_i386.deb
linux-headers-2.6.26-2-common-openvz_2.6.26-26_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-common-openvz_2.6.26-26_i386.deb
linux-headers-2.6.26-2-common-vserver_2.6.26-26_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-common-vserver_2.6.26-26_i386.deb
linux-headers-2.6.26-2-common-xen_2.6.26-26_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-common-xen_2.6.26-26_i386.deb
linux-headers-2.6.26-2-common_2.6.26-26_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-common_2.6.26-26_i386.deb
linux-headers-2.6.26-2-openvz-686_2.6.26-26_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-openvz-686_2.6.26-26_i386.deb
linux-headers-2.6.26-2-vserver-686-bigmem_2.6.26-26_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-vserver-686-bigmem_2.6.26-26_i386.deb
linux-headers-2.6.26-2-vserver-686_2.6.26-26_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-vserver-686_2.6.26-26_i386.deb
linux-headers-2.6.26-2-xen-686_2.6.26-26_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-xen-686_2.6.26-26_i386.deb
linux-image-2.6.26-2-486_2.6.26-26_i386.deb
  to main/l/linux-2.6/linux-image-2.6.26-2-486_2.6.26-26_i386.deb
linux-image-2.6.26-2-686-bigmem_2.6.26-26_i386.deb
  to main/l/linux-2.6/linux-image-2.6.26-2-686-bigmem_2.6.26-26_i386.deb
linux-image-2.6.26-2-686_2.6.26-26_i386.deb
  to main/l/linux-2.6/linux-image-2.6.26-2-686_2.6.26-26_i386.deb
linux-image-2.6.26-2-amd64_2.6.26-26_i386.deb
  to main/l/linux-2.6/linux-image-2.6.26-2-amd64_2.6.26-26_i386.deb
linux-image-2.6.26-2-openvz-686_2.6.26-26_i386.deb
  to main/l/linux-2.6/linux-image-2.6.26-2-openvz-686_2.6.26-26_i386.deb
linux-image-2.6.26-2-vserver-686-bigmem_2.6.26-26_i386.deb
  to main/l/linux-2.6/linux-image-2.6.26-2-vserver-686-bigmem_2.6.26-26_i386.deb
linux-image-2.6.26-2-vserver-686_2.6.26-26_i386.deb
  to main/l/linux-2.6/linux-image-2.6.26-2-vserver-686_2.6.26-26_i386.deb
linux-image-2.6.26-2-xen-686_2.6.26-26_i386.deb
  to main/l/linux-2.6/linux-image-2.6.26-2-xen-686_2.6.26-26_i386.deb
linux-libc-dev_2.6.26-26_i386.deb
  to main/l/linux-2.6/linux-libc-dev_2.6.26-26_i386.deb
linux-manual-2.6.26_2.6.26-26_all.deb
  to main/l/linux-2.6/linux-manual-2.6.26_2.6.26-26_all.deb
linux-modules-2.6.26-2-xen-686_2.6.26-26_i386.deb
  to main/l/linux-2.6/linux-modules-2.6.26-2-xen-686_2.6.26-26_i386.deb
linux-patch-debian-2.6.26_2.6.26-26_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.26_2.6.26-26_all.deb
linux-source-2.6.26_2.6.26-26_all.deb
  to main/l/linux-2.6/linux-source-2.6.26_2.6.26-26_all.deb
linux-support-2.6.26-2_2.6.26-26_all.deb
  to main/l/linux-2.6/linux-support-2.6.26-2_2.6.26-26_all.deb
linux-tree-2.6.26_2.6.26-26_all.deb
  to main/l/linux-2.6/linux-tree-2.6.26_2.6.26-26_all.deb
xen-linux-system-2.6.26-2-xen-686_2.6.26-26_i386.deb
  to main/l/linux-2.6/xen-linux-system-2.6.26-2-xen-686_2.6.26-26_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 600155@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 20 Nov 2010 15:30:51 -0700
Source: linux-2.6
Binary: linux-source-2.6.26 linux-doc-2.6.26 linux-manual-2.6.26 linux-patch-debian-2.6.26 linux-tree-2.6.26 linux-support-2.6.26-2 linux-libc-dev linux-headers-2.6.26-2-all linux-headers-2.6.26-2-all-alpha linux-headers-2.6.26-2-common linux-image-2.6.26-2-alpha-generic linux-headers-2.6.26-2-alpha-generic linux-image-2.6.26-2-alpha-smp linux-headers-2.6.26-2-alpha-smp linux-image-2.6.26-2-alpha-legacy linux-headers-2.6.26-2-alpha-legacy linux-headers-2.6.26-2-all-amd64 linux-image-2.6.26-2-amd64 linux-headers-2.6.26-2-amd64 linux-headers-2.6.26-2-common-openvz linux-image-2.6.26-2-openvz-amd64 linux-headers-2.6.26-2-openvz-amd64 linux-headers-2.6.26-2-common-vserver linux-image-2.6.26-2-vserver-amd64 linux-headers-2.6.26-2-vserver-amd64 linux-headers-2.6.26-2-common-xen linux-image-2.6.26-2-xen-amd64 linux-modules-2.6.26-2-xen-amd64 linux-headers-2.6.26-2-xen-amd64 xen-linux-system-2.6.26-2-xen-amd64 linux-headers-2.6.26-2-all-arm linux-image-2.6.26-2-footbridge linux-headers-2.6.26-2-footbridge linux-image-2.6.26-2-iop32x linux-headers-2.6.26-2-iop32x linux-image-2.6.26-2-ixp4xx linux-headers-2.6.26-2-ixp4xx linux-image-2.6.26-2-orion5x linux-headers-2.6.26-2-orion5x linux-headers-2.6.26-2-all-armel linux-image-2.6.26-2-versatile linux-headers-2.6.26-2-versatile linux-headers-2.6.26-2-all-hppa linux-image-2.6.26-2-parisc linux-headers-2.6.26-2-parisc linux-image-2.6.26-2-parisc-smp linux-headers-2.6.26-2-parisc-smp linux-image-2.6.26-2-parisc64 linux-headers-2.6.26-2-parisc64 linux-image-2.6.26-2-parisc64-smp linux-headers-2.6.26-2-parisc64-smp linux-headers-2.6.26-2-all-i386 linux-image-2.6.26-2-486 linux-headers-2.6.26-2-486 linux-image-2.6.26-2-686 linux-headers-2.6.26-2-686 linux-image-2.6.26-2-686-bigmem linux-headers-2.6.26-2-686-bigmem linux-image-2.6.26-2-openvz-686 linux-headers-2.6.26-2-openvz-686 linux-image-2.6.26-2-vserver-686 linux-headers-2.6.26-2-vserver-686 linux-image-2.6.26-2-vserver-686-bigmem linux-headers-2.6.26-2-vserver-686-bigmem linux-image-2.6.26-2-xen-686 linux-modules-2.6.26-2-xen-686 linux-headers-2.6.26-2-xen-686 xen-linux-system-2.6.26-2-xen-686 linux-headers-2.6.26-2-all-ia64 linux-image-2.6.26-2-itanium linux-headers-2.6.26-2-itanium linux-image-2.6.26-2-mckinley linux-headers-2.6.26-2-mckinley linux-image-2.6.26-2-vserver-itanium linux-headers-2.6.26-2-vserver-itanium linux-image-2.6.26-2-vserver-mckinley linux-headers-2.6.26-2-vserver-mckinley linux-headers-2.6.26-2-all-m68k linux-image-2.6.26-2-amiga linux-headers-2.6.26-2-amiga linux-image-2.6.26-2-atari linux-headers-2.6.26-2-atari linux-image-2.6.26-2-bvme6000 linux-headers-2.6.26-2-bvme6000 linux-image-2.6.26-2-mac linux-headers-2.6.26-2-mac linux-image-2.6.26-2-mvme147 linux-headers-2.6.26-2-mvme147 linux-image-2.6.26-2-mvme16x linux-headers-2.6.26-2-mvme16x linux-headers-2.6.26-2-all-mips linux-image-2.6.26-2-r4k-ip22 linux-headers-2.6.26-2-r4k-ip22 linux-image-2.6.26-2-r5k-ip32 linux-headers-2.6.26-2-r5k-ip32 linux-image-2.6.26-2-sb1-bcm91250a linux-headers-2.6.26-2-sb1-bcm91250a linux-image-2.6.26-2-sb1a-bcm91480b linux-headers-2.6.26-2-sb1a-bcm91480b linux-image-2.6.26-2-4kc-malta linux-headers-2.6.26-2-4kc-malta linux-image-2.6.26-2-5kc-malta linux-headers-2.6.26-2-5kc-malta linux-headers-2.6.26-2-all-mipsel linux-image-2.6.26-2-r5k-cobalt linux-headers-2.6.26-2-r5k-cobalt linux-headers-2.6.26-2-all-powerpc linux-image-2.6.26-2-powerpc linux-headers-2.6.26-2-powerpc linux-image-2.6.26-2-powerpc-smp linux-headers-2.6.26-2-powerpc-smp linux-image-2.6.26-2-powerpc64 linux-headers-2.6.26-2-powerpc64 linux-image-2.6.26-2-vserver-powerpc linux-headers-2.6.26-2-vserver-powerpc linux-image-2.6.26-2-vserver-powerpc64 linux-headers-2.6.26-2-vserver-powerpc64 linux-headers-2.6.26-2-all-s390 linux-image-2.6.26-2-s390 linux-headers-2.6.26-2-s390 linux-image-2.6.26-2-s390-tape linux-image-2.6.26-2-s390x linux-headers-2.6.26-2-s390x linux-image-2.6.26-2-vserver-s390x linux-headers-2.6.26-2-vserver-s390x linux-headers-2.6.26-2-all-sparc linux-image-2.6.26-2-sparc64 linux-headers-2.6.26-2-sparc64 linux-image-2.6.26-2-sparc64-smp linux-headers-2.6.26-2-sparc64-smp linux-image-2.6.26-2-vserver-sparc64 linux-headers-2.6.26-2-vserver-sparc64
Architecture: source all i386
Version: 2.6.26-26
Distribution: stable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 linux-doc-2.6.26 - Linux kernel specific documentation for version 2.6.26
 linux-headers-2.6.26-2-486 - Header files for Linux 2.6.26-2-486
 linux-headers-2.6.26-2-4kc-malta - Header files for Linux 2.6.26-2-4kc-malta
 linux-headers-2.6.26-2-5kc-malta - Header files for Linux 2.6.26-2-5kc-malta
 linux-headers-2.6.26-2-686 - Header files for Linux 2.6.26-2-686
 linux-headers-2.6.26-2-686-bigmem - Header files for Linux 2.6.26-2-686-bigmem
 linux-headers-2.6.26-2-all - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-alpha - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-amd64 - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-arm - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-armel - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-hppa - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-i386 - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-ia64 - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-m68k - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-mips - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-mipsel - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-powerpc - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-s390 - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-sparc - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-alpha-generic - Header files for Linux 2.6.26-2-alpha-generic
 linux-headers-2.6.26-2-alpha-legacy - Header files for Linux 2.6.26-2-alpha-legacy
 linux-headers-2.6.26-2-alpha-smp - Header files for Linux 2.6.26-2-alpha-smp
 linux-headers-2.6.26-2-amd64 - Header files for Linux 2.6.26-2-amd64
 linux-headers-2.6.26-2-amiga - Header files for Linux 2.6.26-2-amiga
 linux-headers-2.6.26-2-atari - Header files for Linux 2.6.26-2-atari
 linux-headers-2.6.26-2-bvme6000 - Header files for Linux 2.6.26-2-bvme6000
 linux-headers-2.6.26-2-common - Common header files for Linux 2.6.26-2
 linux-headers-2.6.26-2-common-openvz - Common header files for Linux 2.6.26-2-openvz
 linux-headers-2.6.26-2-common-vserver - Common header files for Linux 2.6.26-2-vserver
 linux-headers-2.6.26-2-common-xen - Common header files for Linux 2.6.26-2-xen
 linux-headers-2.6.26-2-footbridge - Header files for Linux 2.6.26-2-footbridge
 linux-headers-2.6.26-2-iop32x - Header files for Linux 2.6.26-2-iop32x
 linux-headers-2.6.26-2-itanium - Header files for Linux 2.6.26-2-itanium
 linux-headers-2.6.26-2-ixp4xx - Header files for Linux 2.6.26-2-ixp4xx
 linux-headers-2.6.26-2-mac - Header files for Linux 2.6.26-2-mac
 linux-headers-2.6.26-2-mckinley - Header files for Linux 2.6.26-2-mckinley
 linux-headers-2.6.26-2-mvme147 - Header files for Linux 2.6.26-2-mvme147
 linux-headers-2.6.26-2-mvme16x - Header files for Linux 2.6.26-2-mvme16x
 linux-headers-2.6.26-2-openvz-686 - Header files for Linux 2.6.26-2-openvz-686
 linux-headers-2.6.26-2-openvz-amd64 - Header files for Linux 2.6.26-2-openvz-amd64
 linux-headers-2.6.26-2-orion5x - Header files for Linux 2.6.26-2-orion5x
 linux-headers-2.6.26-2-parisc - Header files for Linux 2.6.26-2-parisc
 linux-headers-2.6.26-2-parisc-smp - Header files for Linux 2.6.26-2-parisc-smp
 linux-headers-2.6.26-2-parisc64 - Header files for Linux 2.6.26-2-parisc64
 linux-headers-2.6.26-2-parisc64-smp - Header files for Linux 2.6.26-2-parisc64-smp
 linux-headers-2.6.26-2-powerpc - Header files for Linux 2.6.26-2-powerpc
 linux-headers-2.6.26-2-powerpc-smp - Header files for Linux 2.6.26-2-powerpc-smp
 linux-headers-2.6.26-2-powerpc64 - Header files for Linux 2.6.26-2-powerpc64
 linux-headers-2.6.26-2-r4k-ip22 - Header files for Linux 2.6.26-2-r4k-ip22
 linux-headers-2.6.26-2-r5k-cobalt - Header files for Linux 2.6.26-2-r5k-cobalt
 linux-headers-2.6.26-2-r5k-ip32 - Header files for Linux 2.6.26-2-r5k-ip32
 linux-headers-2.6.26-2-s390 - Header files for Linux 2.6.26-2-s390
 linux-headers-2.6.26-2-s390x - Header files for Linux 2.6.26-2-s390x
 linux-headers-2.6.26-2-sb1-bcm91250a - Header files for Linux 2.6.26-2-sb1-bcm91250a
 linux-headers-2.6.26-2-sb1a-bcm91480b - Header files for Linux 2.6.26-2-sb1a-bcm91480b
 linux-headers-2.6.26-2-sparc64 - Header files for Linux 2.6.26-2-sparc64
 linux-headers-2.6.26-2-sparc64-smp - Header files for Linux 2.6.26-2-sparc64-smp
 linux-headers-2.6.26-2-versatile - Header files for Linux 2.6.26-2-versatile
 linux-headers-2.6.26-2-vserver-686 - Header files for Linux 2.6.26-2-vserver-686
 linux-headers-2.6.26-2-vserver-686-bigmem - Header files for Linux 2.6.26-2-vserver-686-bigmem
 linux-headers-2.6.26-2-vserver-amd64 - Header files for Linux 2.6.26-2-vserver-amd64
 linux-headers-2.6.26-2-vserver-itanium - Header files for Linux 2.6.26-2-vserver-itanium
 linux-headers-2.6.26-2-vserver-mckinley - Header files for Linux 2.6.26-2-vserver-mckinley
 linux-headers-2.6.26-2-vserver-powerpc - Header files for Linux 2.6.26-2-vserver-powerpc
 linux-headers-2.6.26-2-vserver-powerpc64 - Header files for Linux 2.6.26-2-vserver-powerpc64
 linux-headers-2.6.26-2-vserver-s390x - Header files for Linux 2.6.26-2-vserver-s390x
 linux-headers-2.6.26-2-vserver-sparc64 - Header files for Linux 2.6.26-2-vserver-sparc64
 linux-headers-2.6.26-2-xen-686 - Header files for Linux 2.6.26-2-xen-686
 linux-headers-2.6.26-2-xen-amd64 - Header files for Linux 2.6.26-2-xen-amd64
 linux-image-2.6.26-2-486 - Linux 2.6.26 image on x86
 linux-image-2.6.26-2-4kc-malta - Linux 2.6.26 image on MIPS Malta
 linux-image-2.6.26-2-5kc-malta - Linux 2.6.26 image on MIPS Malta (64-bit)
 linux-image-2.6.26-2-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.26-2-686-bigmem - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.26-2-alpha-generic - Linux 2.6.26 image on Alpha
 linux-image-2.6.26-2-alpha-legacy - Linux 2.6.26 image on Alpha Legacy
 linux-image-2.6.26-2-alpha-smp - Linux 2.6.26 image on Alpha SMP
 linux-image-2.6.26-2-amd64 - Linux 2.6.26 image on AMD64
 linux-image-2.6.26-2-amiga - Linux 2.6.26 image on Amiga
 linux-image-2.6.26-2-atari - Linux 2.6.26 image on Atari
 linux-image-2.6.26-2-bvme6000 - Linux 2.6.26 image on BVM BVME4000 and BVME6000
 linux-image-2.6.26-2-footbridge - Linux 2.6.26 image on Footbridge
 linux-image-2.6.26-2-iop32x - Linux 2.6.26 image on IOP32x
 linux-image-2.6.26-2-itanium - Linux 2.6.26 image on Itanium
 linux-image-2.6.26-2-ixp4xx - Linux 2.6.26 image on IXP4xx
 linux-image-2.6.26-2-mac - Linux 2.6.26 image on Macintosh
 linux-image-2.6.26-2-mckinley - Linux 2.6.26 image on Itanium II
 linux-image-2.6.26-2-mvme147 - Linux 2.6.26 image on Motorola MVME147
 linux-image-2.6.26-2-mvme16x - Linux 2.6.26 image on Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.26-2-openvz-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, OpenVZ support
 linux-image-2.6.26-2-openvz-amd64 - Linux 2.6.26 image on AMD64, OpenVZ support
 linux-image-2.6.26-2-orion5x - Linux 2.6.26 image on Orion
 linux-image-2.6.26-2-parisc - Linux 2.6.26 image on 32-bit PA-RISC
 linux-image-2.6.26-2-parisc-smp - Linux 2.6.26 image on multiprocessor 32-bit PA-RISC
 linux-image-2.6.26-2-parisc64 - Linux 2.6.26 image on 64-bit PA-RISC
 linux-image-2.6.26-2-parisc64-smp - Linux 2.6.26 image on multiprocessor 64-bit PA-RISC
 linux-image-2.6.26-2-powerpc - Linux 2.6.26 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.26-2-powerpc-smp - Linux 2.6.26 image on multiprocessor 32-bit PowerPC
 linux-image-2.6.26-2-powerpc64 - Linux 2.6.26 image on 64-bit PowerPC
 linux-image-2.6.26-2-r4k-ip22 - Linux 2.6.26 image on SGI IP22
 linux-image-2.6.26-2-r5k-cobalt - Linux 2.6.26 image on Cobalt
 linux-image-2.6.26-2-r5k-ip32 - Linux 2.6.26 image on SGI IP32
 linux-image-2.6.26-2-s390 - Linux 2.6.26 image on IBM S/390
 linux-image-2.6.26-2-s390-tape - Linux 2.6.26 image on IBM S/390, IPL from tape
 linux-image-2.6.26-2-s390x - Linux 2.6.26 image on IBM zSeries
 linux-image-2.6.26-2-sb1-bcm91250a - Linux 2.6.26 image on BCM91250A
 linux-image-2.6.26-2-sb1a-bcm91480b - Linux 2.6.26 image on BCM91480B
 linux-image-2.6.26-2-sparc64 - Linux 2.6.26 image on uniprocessor 64-bit UltraSPARC
 linux-image-2.6.26-2-sparc64-smp - Linux 2.6.26 image on multiprocessor 64-bit UltraSPARC
 linux-image-2.6.26-2-versatile - Linux 2.6.26 image on Versatile
 linux-image-2.6.26-2-vserver-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, Linux-VServer sup
 linux-image-2.6.26-2-vserver-686-bigmem - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, Linux-VServer sup
 linux-image-2.6.26-2-vserver-amd64 - Linux 2.6.26 image on AMD64, Linux-VServer support
 linux-image-2.6.26-2-vserver-itanium - Linux 2.6.26 image on Itanium, Linux-VServer support
 linux-image-2.6.26-2-vserver-mckinley - Linux 2.6.26 image on Itanium II, Linux-VServer support
 linux-image-2.6.26-2-vserver-powerpc - Linux 2.6.26 image on uniprocessor 32-bit PowerPC, Linux-VServer 
 linux-image-2.6.26-2-vserver-powerpc64 - Linux 2.6.26 image on 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.26-2-vserver-s390x - Linux 2.6.26 image on IBM zSeries, Linux-VServer support
 linux-image-2.6.26-2-vserver-sparc64 - Linux 2.6.26 image on uniprocessor 64-bit UltraSPARC, Linux-VServ
 linux-image-2.6.26-2-xen-686 - Linux 2.6.26 image on i686, oldstyle Xen support
 linux-image-2.6.26-2-xen-amd64 - Linux 2.6.26 image on AMD64, oldstyle Xen support
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.26 - Linux kernel API manual pages for version 2.6.26
 linux-modules-2.6.26-2-xen-686 - Linux 2.6.26 modules on i686
 linux-modules-2.6.26-2-xen-amd64 - Linux 2.6.26 modules on AMD64
 linux-patch-debian-2.6.26 - Debian patches to version 2.6.26 of the Linux kernel
 linux-source-2.6.26 - Linux kernel source for version 2.6.26 with Debian patches
 linux-support-2.6.26-2 - Support files for Linux 2.6.26
 linux-tree-2.6.26 - Linux kernel source tree for building Debian kernel images
 xen-linux-system-2.6.26-2-xen-686 - XEN system with Linux 2.6.26 image on i686
 xen-linux-system-2.6.26-2-xen-amd64 - XEN system with Linux 2.6.26 image on AMD64
Closes: 550733 593193 594690 600155
Changes: 
 linux-2.6 (2.6.26-26) stable; urgency=high
 .
   [ Ben Hutchings ]
   * [alpha,s390,sparc] math-emu: correct test for downshifting fraction in
     _FP_FROM_INT() (Closes: #593193)
   * SCSI/mptsas: fix hangs caused by ATA pass-through (Closes: #594690)
   * xfs: prevent kernel crash due to corrupted inode log format
     (Closes: #550733)
   * r6040: Fix various bugs in r6040_multicast_list() (Closes: #600155)
Checksums-Sha1: 
 cec794a4c87ddb3bb5b745029e0cbb9ef94e018a 6402 linux-2.6_2.6.26-26.dsc
 bfc642e09de3858cb7d6cd28961d3f10acd70f78 7974353 linux-2.6_2.6.26-26.diff.gz
 d5c3927c5fba784869568656d9b8537928c01606 4851216 linux-doc-2.6.26_2.6.26-26_all.deb
 d819a7017b19cf6bf5a50b70ece129c890015c27 1808658 linux-manual-2.6.26_2.6.26-26_all.deb
 49a71372ae17d19b2bb526dc9b5f7417e2a4bb10 2961428 linux-patch-debian-2.6.26_2.6.26-26_all.deb
 431962da25a626d3d741a80eebd7195b5ee87131 49468942 linux-source-2.6.26_2.6.26-26_all.deb
 6337d986a7f8d4071f1a2775557b22e93df5eabb 127660 linux-support-2.6.26-2_2.6.26-26_all.deb
 5214b9271685f916a043fd5898eb3a558bca2689 112394 linux-tree-2.6.26_2.6.26-26_all.deb
 ed7148a08d3bcb04ee36acf3627dc61c737d5c41 20367582 linux-image-2.6.26-2-486_2.6.26-26_i386.deb
 255558914c5d9f401477bf980d77d5a223456a65 411334 linux-headers-2.6.26-2-486_2.6.26-26_i386.deb
 1721f0be8ccf96a3fc1458a9c7c67e8f286aa529 20405570 linux-image-2.6.26-2-686_2.6.26-26_i386.deb
 ec1d826eeac5b943111f1a1c50b5099e229f3a34 411368 linux-headers-2.6.26-2-686_2.6.26-26_i386.deb
 211e6c0a878dd4f18bc318f23c55d9d0f8d0625b 20526496 linux-image-2.6.26-2-686-bigmem_2.6.26-26_i386.deb
 cf8085131d49cef6fc4d420360e124355d1e41f4 411886 linux-headers-2.6.26-2-686-bigmem_2.6.26-26_i386.deb
 65eab0c60a0adb1ef5c6bb6c532fab384ec9b958 21046570 linux-image-2.6.26-2-amd64_2.6.26-26_i386.deb
 92bf59ec0cebba8e6778027fc97676a1b9af51d3 402178 linux-headers-2.6.26-2-amd64_2.6.26-26_i386.deb
 fe31250715b8e00447c9158185858fd30d99cf86 3810588 linux-headers-2.6.26-2-common_2.6.26-26_i386.deb
 80e22b006c08e9172b5ad0de43ebdc3d1e97cca1 20703458 linux-image-2.6.26-2-openvz-686_2.6.26-26_i386.deb
 b17b99b7f53adb7f5ff9a15a3c0695664f06c173 417566 linux-headers-2.6.26-2-openvz-686_2.6.26-26_i386.deb
 594a65fe7539f3addfff04b42eb03b664cbf57da 3869506 linux-headers-2.6.26-2-common-openvz_2.6.26-26_i386.deb
 d7f115f963617b44871961319e0e570ad8c0b8a5 111814 linux-headers-2.6.26-2-all_2.6.26-26_i386.deb
 6bac9af0bf33ec9fd5c54308c3ab03f36dc33746 111870 linux-headers-2.6.26-2-all-i386_2.6.26-26_i386.deb
 19a24b8320631de07f28955b91c43c30cfcd84a3 769378 linux-libc-dev_2.6.26-26_i386.deb
 f1f706af8e3a0a96aec1759a5833a3ab3dd858b3 20426904 linux-image-2.6.26-2-vserver-686_2.6.26-26_i386.deb
 6895bb296873f978d53b123d5b812b7516a8311c 412628 linux-headers-2.6.26-2-vserver-686_2.6.26-26_i386.deb
 7fd81cf0482d748c9f531f6338f0a9df7fe808e0 20545648 linux-image-2.6.26-2-vserver-686-bigmem_2.6.26-26_i386.deb
 a7455a6eb20b004cbd3bb4b8458509019a0006ad 412316 linux-headers-2.6.26-2-vserver-686-bigmem_2.6.26-26_i386.deb
 26cd7154b33cecc1a42dc89b12042626c2c80395 3845414 linux-headers-2.6.26-2-common-vserver_2.6.26-26_i386.deb
 42272901b56fb4ea110dfe27201a18f9e9a1d52c 1597868 linux-image-2.6.26-2-xen-686_2.6.26-26_i386.deb
 b4e7e4fc2c01e86518bcf6e7d0244d8aeeeaf1b2 18215294 linux-modules-2.6.26-2-xen-686_2.6.26-26_i386.deb
 856c92c4a2f1b7cd0a4f11a6e36431abb4ea25dc 400004 linux-headers-2.6.26-2-xen-686_2.6.26-26_i386.deb
 4ee49e06220be41597a24505fb28c9a888843762 111802 xen-linux-system-2.6.26-2-xen-686_2.6.26-26_i386.deb
 5edfe8670429053f9e1d8504c38328668ac0aa16 3949118 linux-headers-2.6.26-2-common-xen_2.6.26-26_i386.deb
Checksums-Sha256: 
 3f01cf3cba70d282424be2728be594069ddc25994b051d6df8f1b10a4e32fbdd 6402 linux-2.6_2.6.26-26.dsc
 2062ffe97a9648edf7b096bd020bf1ad01e4425175198298e43270748763acc8 7974353 linux-2.6_2.6.26-26.diff.gz
 7fe56070f6583819a1a5f5dadbfd45c5424c668fc9768ad7de549d8c041f9583 4851216 linux-doc-2.6.26_2.6.26-26_all.deb
 5ddc83a3ada70abe98203da408c08f9a5b6d0a582c0cf470c431f0b588514c8e 1808658 linux-manual-2.6.26_2.6.26-26_all.deb
 4d232c482f46ee513b0226b695771e53e088d9aa07100ae1405c21422c77c8ef 2961428 linux-patch-debian-2.6.26_2.6.26-26_all.deb
 7dc763df44bde2db056da0939204f37f9e0028d694d8539b726b1f76ab1519db 49468942 linux-source-2.6.26_2.6.26-26_all.deb
 fee0fae890f7cff812adbda1ab892bcef69ebde356396240c404ec27c307cdd8 127660 linux-support-2.6.26-2_2.6.26-26_all.deb
 23324bedd05dd02bd7bc479d35ab119231d9e7b7db599391a5ad9ee922f5eb2b 112394 linux-tree-2.6.26_2.6.26-26_all.deb
 cc4c81592e1fcf0b4103b6a7b79d47430ff24a038f85153581ead6832406df3e 20367582 linux-image-2.6.26-2-486_2.6.26-26_i386.deb
 f8757165bd947b722b207d99ac33846e9197726f427a4b178c9b71921b47cfb8 411334 linux-headers-2.6.26-2-486_2.6.26-26_i386.deb
 910ab936d7ec509278527e87426bdce187bb1795a44fd86d45128e758784ce37 20405570 linux-image-2.6.26-2-686_2.6.26-26_i386.deb
 3b241f65d188081db5a93e1566d62c3a1749b26c1819352a8856d805c33114bf 411368 linux-headers-2.6.26-2-686_2.6.26-26_i386.deb
 871dd3bddd1a41e66f80dbc73f137d72f588c55e6be4d646a3bae7ae270940bd 20526496 linux-image-2.6.26-2-686-bigmem_2.6.26-26_i386.deb
 ae7c65c0395ebd88c3af366a4fdba37c0cc3607c96a356e994ca442975fd5122 411886 linux-headers-2.6.26-2-686-bigmem_2.6.26-26_i386.deb
 b8356d99a8632e16b53a21d554831f18a1b9c86f657a3967ebbc6f7d02e2a866 21046570 linux-image-2.6.26-2-amd64_2.6.26-26_i386.deb
 7809b3d4f78521ef18bc10b9ad9568e375f0de85692b553ec3db2b0e06249729 402178 linux-headers-2.6.26-2-amd64_2.6.26-26_i386.deb
 81a5181508da76f25f09b6b3bf67c38284ba03159877ce09f9a6ad36520de0ff 3810588 linux-headers-2.6.26-2-common_2.6.26-26_i386.deb
 4e7c7f51ece24f5107b5de4d9c07854185d4a214808f68e8c1c0f0a2736a3798 20703458 linux-image-2.6.26-2-openvz-686_2.6.26-26_i386.deb
 ba61ce138103d422c69cba72a442b82171cefd1754d7d1f34041ac44e09088fb 417566 linux-headers-2.6.26-2-openvz-686_2.6.26-26_i386.deb
 044f78e0c47ad01036bd1903614ca6b8e6eed28f7320bd0295db36210dd262f5 3869506 linux-headers-2.6.26-2-common-openvz_2.6.26-26_i386.deb
 405e3fa691fc6e40445c2ddf13ee86ab0318a3d6c7d048ff635a4b7d4c5df88f 111814 linux-headers-2.6.26-2-all_2.6.26-26_i386.deb
 ec579986c626605bf15d2ec98daa9b490d4a443eb5578abd9889b238f8449520 111870 linux-headers-2.6.26-2-all-i386_2.6.26-26_i386.deb
 c1750f6d247c210aad68c19e83b8bad3f75963d12ee3f1a379a17b6890dc11ef 769378 linux-libc-dev_2.6.26-26_i386.deb
 103d043b864d58ec1c0bf2616f7b16d1b77b0fc780bd928bb545702d2a13b758 20426904 linux-image-2.6.26-2-vserver-686_2.6.26-26_i386.deb
 9dd51ba0bb87b42c9391909c031f4e7b4431819373a1c0c50a671395ce45a74c 412628 linux-headers-2.6.26-2-vserver-686_2.6.26-26_i386.deb
 a5568c62c7a68b812d4f96761f6eb9d5b8d051b6d2e5fe169069da4d95890183 20545648 linux-image-2.6.26-2-vserver-686-bigmem_2.6.26-26_i386.deb
 632dc00dbc6e17f20cc2cba7f19703fb84854104202c445f343d6a5fb8192dbf 412316 linux-headers-2.6.26-2-vserver-686-bigmem_2.6.26-26_i386.deb
 5659b3bdf9bc655f290b3d561a05e225ac9a8bfac51b1fb3731b811b20d4c366 3845414 linux-headers-2.6.26-2-common-vserver_2.6.26-26_i386.deb
 8cc1c74dac523f658e39f8e4854655a6502cd4f63549d0dbd9d381f0eafcf8b1 1597868 linux-image-2.6.26-2-xen-686_2.6.26-26_i386.deb
 9e4b8c32d1cfcfeb0b745f99c6e59c9d4161c3a114de60161de2ec4ba8cc7eac 18215294 linux-modules-2.6.26-2-xen-686_2.6.26-26_i386.deb
 d442827616ea9ff6b939d6128d26e4452a2a9d61ecb6826206d34c01064576a8 400004 linux-headers-2.6.26-2-xen-686_2.6.26-26_i386.deb
 c4369e9f7bdc94fa1af7519ea322682e69e5821d5cf1957a84161034511e8a73 111802 xen-linux-system-2.6.26-2-xen-686_2.6.26-26_i386.deb
 f1ca660af6abfe1b7f8351d874d2d2d0b2562c15ee7c3cda335d226796c94ab8 3949118 linux-headers-2.6.26-2-common-xen_2.6.26-26_i386.deb
Files: 
 5a8985a31f24ff403c0d34046d75cf3a 6402 devel optional linux-2.6_2.6.26-26.dsc
 b337f5ab5a662ac5383a0ed6c5354b53 7974353 devel optional linux-2.6_2.6.26-26.diff.gz
 7bc9f80c0be4ff760cc21ab0fee3f8ec 4851216 doc optional linux-doc-2.6.26_2.6.26-26_all.deb
 32523e6e95ca9b4802348245e9d064ba 1808658 doc optional linux-manual-2.6.26_2.6.26-26_all.deb
 b655ea30c51bfdf49812fadd8c3c302a 2961428 devel optional linux-patch-debian-2.6.26_2.6.26-26_all.deb
 baeca8b0db245cf2ffd10eeb5e8ead8a 49468942 devel optional linux-source-2.6.26_2.6.26-26_all.deb
 0e863ae9ef241039c922bdd179bb69c8 127660 devel optional linux-support-2.6.26-2_2.6.26-26_all.deb
 84a71c92db7252ab89369f4f919768b6 112394 devel optional linux-tree-2.6.26_2.6.26-26_all.deb
 a242f03a90eabcc54eeeb731fe49b99a 20367582 admin optional linux-image-2.6.26-2-486_2.6.26-26_i386.deb
 36b03f7720b069efa08d32ddb947fe88 411334 devel optional linux-headers-2.6.26-2-486_2.6.26-26_i386.deb
 aeea79b880cddf8b9ecbd2b196783723 20405570 admin optional linux-image-2.6.26-2-686_2.6.26-26_i386.deb
 e555748c64885fb5c11ed3171490e041 411368 devel optional linux-headers-2.6.26-2-686_2.6.26-26_i386.deb
 a9fe2865a2ee9b6cf436ac00840730e2 20526496 admin optional linux-image-2.6.26-2-686-bigmem_2.6.26-26_i386.deb
 d9e702dbd3ba3a27a0d21a5ab0c8c8a1 411886 devel optional linux-headers-2.6.26-2-686-bigmem_2.6.26-26_i386.deb
 84773fa0077daf92baaa11ad44a524a4 21046570 admin optional linux-image-2.6.26-2-amd64_2.6.26-26_i386.deb
 68c06450bd36da8b3c68314e8ab5cc3d 402178 devel optional linux-headers-2.6.26-2-amd64_2.6.26-26_i386.deb
 80fa69942b2ba7e0bcb1d76c12158f2e 3810588 devel optional linux-headers-2.6.26-2-common_2.6.26-26_i386.deb
 d387415ec52e1a8ae15de7c0797fc3e9 20703458 admin optional linux-image-2.6.26-2-openvz-686_2.6.26-26_i386.deb
 d0ce17755f8916d7c67a372b2cafb1b2 417566 devel optional linux-headers-2.6.26-2-openvz-686_2.6.26-26_i386.deb
 87a9f60a5f5e20232f4399a43cf9eb23 3869506 devel optional linux-headers-2.6.26-2-common-openvz_2.6.26-26_i386.deb
 c7ab15036257ff6f102347f13e7b85b7 111814 devel optional linux-headers-2.6.26-2-all_2.6.26-26_i386.deb
 80e1bb2b5d92ce63e86136da012f1ca8 111870 devel optional linux-headers-2.6.26-2-all-i386_2.6.26-26_i386.deb
 00a50da19ebc7ae9af5b66e8ed068bb2 769378 devel optional linux-libc-dev_2.6.26-26_i386.deb
 676256d4414070b2af45d77646e45dc9 20426904 admin optional linux-image-2.6.26-2-vserver-686_2.6.26-26_i386.deb
 08c78e0cb288581a1f4fdba073e200f5 412628 devel optional linux-headers-2.6.26-2-vserver-686_2.6.26-26_i386.deb
 4b17e0673937fff10d3908203b48ac34 20545648 admin optional linux-image-2.6.26-2-vserver-686-bigmem_2.6.26-26_i386.deb
 57bdc1098a10661655331b8aec5cd106 412316 devel optional linux-headers-2.6.26-2-vserver-686-bigmem_2.6.26-26_i386.deb
 66514c766f05281fff32703fbedafedf 3845414 devel optional linux-headers-2.6.26-2-common-vserver_2.6.26-26_i386.deb
 c979d7c79e0693c27e5de33b03840e40 1597868 admin optional linux-image-2.6.26-2-xen-686_2.6.26-26_i386.deb
 76e3077b335923429a80bc26e35f019f 18215294 admin optional linux-modules-2.6.26-2-xen-686_2.6.26-26_i386.deb
 4177ebd10cc93c145bd8ccd54c3ef19e 400004 devel optional linux-headers-2.6.26-2-xen-686_2.6.26-26_i386.deb
 1394c6902175f4b4203167ea17ee337d 111802 admin extra xen-linux-system-2.6.26-2-xen-686_2.6.26-26_i386.deb
 8e07ee479c2d4a287e5316eb5ecc8612 3949118 devel optional linux-headers-2.6.26-2-common-xen_2.6.26-26_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJM6KNAAAoJEBv4PF5U/IZA7XEP/2djrfzoffypwhHxm4Py7ZxM
NBHuRHWbAqRZFLWxErfTH42AXoNoPtn1NuPujbBUBV9XYCVZ5b0b8e2xpHquQXp6
/Ebot7VRLOp3vl//IFbyKMEsWuDfeQFDP3qrH6pRiUiZPcjXqktkoiv3lSni6PDs
q2ty/CNsBSUfM9N9GV05zxoUZInMjJg+kO+t55FQ0Ec8W3DtramMThf7ct7EYrK0
lfdFI6pKmHUt8uyLm7Cq0BXyGsdbHyWgV8a+JsYdvbzDs6Y69dLQUG/S1HJTfBjv
ifW0CyOeN2PjV4u8+i9uQVr6RCpni+bDeCoZy6cUYd3B4uaKppyiVdhDpb3bmXWa
ThJHn/P36mltN2LhCdJ5zGVld2lznBBIAj+9VOyCvFV7/R/tzGhJrjbgWR8Ue2Pv
HM0UbPv10k4oCSGy4fkqf8HQqj9MBm2nssP5FO9XNgfU1SK3jcfZ1wx6YuXy1ZF6
r9AB2jFLz2eF3aPi4ffe5RMqoz7wugcfTljdoVNva0JE6nr537EE+9Kb2ujf3K71
QzRp3kuUIVsNrN7KO7PxQhOOqHS+Axytz14bPCYRQ6IxO/OcB+xYWTtnP+CWwshN
n8C9GMbKnO/ULf2pGX4UpBq8oMZIGCQBGjtWCovX0z0L4svUFrdS5C5Y4s9Qm249
g1hN25wOpxH204wPYxl7
=Ea6M
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from Dann Frazier <dannf@alioth.debian.org> to control@bugs.debian.org. (Thu, 25 Nov 2010 00:39:12 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Jan 2011 07:42:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 08:01:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.